
// File: index.xml

// File: classBin1D.xml
%feature("docstring") Bin1D "";

%feature("docstring")  Bin1D::Bin1D "Bin1D::Bin1D()=default
Bin1D::Bin1D";

%feature("docstring")  Bin1D::Bin1D "Bin1D::Bin1D(double lower, double upper)
Bin1D::Bin1D";

%feature("docstring")  Bin1D::center "double Bin1D::center() const
Bin1D::center";

%feature("docstring")  Bin1D::binSize "double Bin1D::binSize() const
Bin1D::binSize";


// File: classConstKBinAxis.xml
%feature("docstring") ConstKBinAxis "

Axis with fixed bin size in sin(angle) space.

C++ includes: ConstKBinAxis.h
";

%feature("docstring")  ConstKBinAxis::ConstKBinAxis "ConstKBinAxis::ConstKBinAxis(const std::string &name, size_t nbins, double start, double end)
ConstKBinAxis::ConstKBinAxis
 ConstKBinAxis constructor.

Parameters:
-----------

name: 
Axis name

nbins: 
number of bins

start: 
low edge of first bin

end: 
upper edge of last bin 
";

%feature("docstring")  ConstKBinAxis::~ConstKBinAxis "ConstKBinAxis::~ConstKBinAxis() override=default
ConstKBinAxis::~ConstKBinAxis";

%feature("docstring")  ConstKBinAxis::clone "ConstKBinAxis * ConstKBinAxis::clone() const override
ConstKBinAxis::clone";

%feature("docstring")  ConstKBinAxis::clip "void ConstKBinAxis::clip(double lower, double upper) override
ConstKBinAxis::clip";


// File: classCustomBinAxis.xml
%feature("docstring") CustomBinAxis "

Axis with fixed bin size in sin(angle) space used for numerical comparison with IsGisaxs. The main feature of the axis is that it produces zero bin sizes.

C++ includes: CustomBinAxis.h
";

%feature("docstring")  CustomBinAxis::CustomBinAxis "CustomBinAxis::CustomBinAxis(const std::string &name, size_t nbins, double start, double end)
CustomBinAxis::CustomBinAxis
 CustomBinAxis constructor.

Parameters:
-----------

name: 
Axis name

nbins: 
number of bins

start: 
center of first bin (IsGisaxs convention)

end: 
center of last bin (IsGisaxs convention) 
";

%feature("docstring")  CustomBinAxis::~CustomBinAxis "CustomBinAxis::~CustomBinAxis() override=default
CustomBinAxis::~CustomBinAxis";

%feature("docstring")  CustomBinAxis::clone "CustomBinAxis * CustomBinAxis::clone() const override
CustomBinAxis::clone";

%feature("docstring")  CustomBinAxis::bin "Bin1D CustomBinAxis::bin(size_t index) const override
CustomBinAxis::bin";

%feature("docstring")  CustomBinAxis::binCenters "std::vector< double > CustomBinAxis::binCenters() const override
CustomBinAxis::binCenters";

%feature("docstring")  CustomBinAxis::clip "void CustomBinAxis::clip(double lower, double upper) override
CustomBinAxis::clip";


// File: classDirection.xml
%feature("docstring") Direction "

A direction in three-dimensional space.

C++ includes: Direction.h
";

%feature("docstring")  Direction::Direction "Direction::Direction(double alpha, double phi)
Direction::Direction";

%feature("docstring")  Direction::Direction "Direction::Direction()
Direction::Direction";

%feature("docstring")  Direction::alpha "double Direction::alpha() const
Direction::alpha";

%feature("docstring")  Direction::phi "double Direction::phi() const
Direction::phi";

%feature("docstring")  Direction::vector "R3 Direction::vector() const
Direction::vector
Returns Cartesian 3D vector. 
";

%feature("docstring")  Direction::zReflected "Direction Direction::zReflected() const
Direction::zReflected";


// File: classFixedBinAxis.xml
%feature("docstring") FixedBinAxis "

Axis with fixed bin size.

C++ includes: FixedBinAxis.h
";

%feature("docstring")  FixedBinAxis::FixedBinAxis "FixedBinAxis::FixedBinAxis(const std::string &name, size_t nbins, double start, double end)
FixedBinAxis::FixedBinAxis
 FixedBinAxis constructor.

Parameters:
-----------

name: 
Axis name

nbins: 
number of bins

start: 
low edge of first bin

end: 
upper edge of last bin 
";

%feature("docstring")  FixedBinAxis::~FixedBinAxis "FixedBinAxis::~FixedBinAxis() override=default
FixedBinAxis::~FixedBinAxis";

%feature("docstring")  FixedBinAxis::clone "FixedBinAxis * FixedBinAxis::clone() const override
FixedBinAxis::clone";

%feature("docstring")  FixedBinAxis::size "size_t FixedBinAxis::size() const override
FixedBinAxis::size";

%feature("docstring")  FixedBinAxis::bin "Bin1D FixedBinAxis::bin(size_t index) const override
FixedBinAxis::bin";

%feature("docstring")  FixedBinAxis::min "double FixedBinAxis::min() const override
FixedBinAxis::min";

%feature("docstring")  FixedBinAxis::max "double FixedBinAxis::max() const override
FixedBinAxis::max";

%feature("docstring")  FixedBinAxis::binCenter "double FixedBinAxis::binCenter(size_t index) const override
FixedBinAxis::binCenter";

%feature("docstring")  FixedBinAxis::findClosestIndex "size_t FixedBinAxis::findClosestIndex(double value) const override
FixedBinAxis::findClosestIndex";

%feature("docstring")  FixedBinAxis::binCenters "std::vector< double > FixedBinAxis::binCenters() const override
FixedBinAxis::binCenters";

%feature("docstring")  FixedBinAxis::binBoundaries "std::vector< double > FixedBinAxis::binBoundaries() const override
FixedBinAxis::binBoundaries";

%feature("docstring")  FixedBinAxis::clip "void FixedBinAxis::clip(double lower, double upper) override
FixedBinAxis::clip";


// File: classFrame.xml
%feature("docstring") Frame "

Holds one or two axes.

C++ includes: Frame.h
";

%feature("docstring")  Frame::Frame "Frame::Frame(const std::vector< const IAxis * > &axes)
Frame::Frame
Constructor that takes ownership of supplied axes. 
";

%feature("docstring")  Frame::~Frame "Frame::~Frame()
Frame::~Frame";

%feature("docstring")  Frame::rank "size_t Frame::rank() const
Frame::rank
Returns number of dimensions. 
";

%feature("docstring")  Frame::size "size_t Frame::size() const
Frame::size
Returns total number of bins. 
";

%feature("docstring")  Frame::projectedSize "size_t Frame::projectedSize(size_t k_axis) const
Frame::projectedSize
Returns number of bins along axis. 
";

%feature("docstring")  Frame::cloned_axes "std::vector< const IAxis * > Frame::cloned_axes() const
Frame::cloned_axes
Returns cloned axes. 
";

%feature("docstring")  Frame::axis "const IAxis & Frame::axis(size_t k_axis) const
Frame::axis
Returns axis with given serial number. 
";

%feature("docstring")  Frame::xAxis "const IAxis & Frame::xAxis() const
Frame::xAxis";

%feature("docstring")  Frame::yAxis "const IAxis & Frame::yAxis() const
Frame::yAxis";

%feature("docstring")  Frame::projectedCoord "double Frame::projectedCoord(size_t i_flat, size_t k_axis) const
Frame::projectedCoord
Returns the value of selected axis for given i_flat.

Parameters:
-----------

i_flat: 
The global index of this data structure.

k_axis: 
Serial number of selected axis.

corresponding bin center of selected axis 
";

%feature("docstring")  Frame::allIndices "std::vector< int > Frame::allIndices(size_t i_flat) const
Frame::allIndices
Returns vector of axes indices for given global index

Parameters:
-----------

i_flat: 
The global index of this data structure.

Vector of bin indices for all axes defined 
";

%feature("docstring")  Frame::projectedIndex "size_t Frame::projectedIndex(size_t i_flat, size_t k_axis) const
Frame::projectedIndex
Returns axis bin index for given global index

Parameters:
-----------

i_flat: 
The global index of this data structure.

k_axis: 
Serial number of selected axis.

Corresponding bin index for selected axis 
";

%feature("docstring")  Frame::toGlobalIndex "size_t Frame::toGlobalIndex(const std::vector< unsigned > &axes_indices) const
Frame::toGlobalIndex
Returns global index for specified indices of axes

Parameters:
-----------

axes_indices: 
Vector of axes indices for all specified axes in this dataset

Corresponding global index 
";

%feature("docstring")  Frame::hasSameSizes "bool Frame::hasSameSizes(const Frame &) const
Frame::hasSameSizes
Returns true if both  Frames have same rank, and all axes have same sizes. 
";


// File: classSpinMatrix.xml
%feature("docstring") SpinMatrix "";

%feature("docstring")  SpinMatrix::SpinMatrix "SpinMatrix::SpinMatrix(complex_t a_, complex_t b_, complex_t c_, complex_t d_)
SpinMatrix::SpinMatrix
Constructs matrix with rows (a_,b_) and (c_,d_). 
";

%feature("docstring")  SpinMatrix::SpinMatrix "SpinMatrix::SpinMatrix()
SpinMatrix::SpinMatrix
Contructs the null matrix. 
";

%feature("docstring")  SpinMatrix::col0 "Spinor SpinMatrix::col0() const
SpinMatrix::col0";

%feature("docstring")  SpinMatrix::col1 "Spinor SpinMatrix::col1() const
SpinMatrix::col1";

%feature("docstring")  SpinMatrix::trace "complex_t SpinMatrix::trace() const
SpinMatrix::trace";

%feature("docstring")  SpinMatrix::determinant "complex_t SpinMatrix::determinant() const
SpinMatrix::determinant";

%feature("docstring")  SpinMatrix::allFinite "bool SpinMatrix::allFinite() const
SpinMatrix::allFinite";

%feature("docstring")  SpinMatrix::adjoint "SpinMatrix SpinMatrix::adjoint() const
SpinMatrix::adjoint";


// File: classSpinor.xml
%feature("docstring") Spinor "";

%feature("docstring")  Spinor::Spinor "Spinor::Spinor(complex_t u_, complex_t v_)
Spinor::Spinor";


// File: structThreadInfo.xml
%feature("docstring") ThreadInfo "

Information to run simulation with dedicated number of threads.

C++ includes: ThreadInfo.h
";

%feature("docstring")  ThreadInfo::ThreadInfo "ThreadInfo::ThreadInfo()
ThreadInfo::ThreadInfo";


// File: classVariableBinAxis.xml
%feature("docstring") VariableBinAxis "

Axis with variable bin size.

C++ includes: VariableBinAxis.h
";

%feature("docstring")  VariableBinAxis::VariableBinAxis "VariableBinAxis::VariableBinAxis(const std::string &name, const std::vector< double > &bin_boundaries)
VariableBinAxis::VariableBinAxis
 VariableBinAxis constructor.

Parameters:
-----------

name: 
Axis name

bin_boundaries: 
Array of size nbins+1 containing low-edges for each bin and upper edge of last bin. 
";

%feature("docstring")  VariableBinAxis::~VariableBinAxis "VariableBinAxis::~VariableBinAxis() override=default
VariableBinAxis::~VariableBinAxis";

%feature("docstring")  VariableBinAxis::clone "VariableBinAxis * VariableBinAxis::clone() const override
VariableBinAxis::clone";

%feature("docstring")  VariableBinAxis::size "size_t VariableBinAxis::size() const override
VariableBinAxis::size";

%feature("docstring")  VariableBinAxis::bin "Bin1D VariableBinAxis::bin(size_t index) const override
VariableBinAxis::bin";

%feature("docstring")  VariableBinAxis::min "double VariableBinAxis::min() const override
VariableBinAxis::min";

%feature("docstring")  VariableBinAxis::max "double VariableBinAxis::max() const override
VariableBinAxis::max";

%feature("docstring")  VariableBinAxis::binCenter "double VariableBinAxis::binCenter(size_t index) const override
VariableBinAxis::binCenter";

%feature("docstring")  VariableBinAxis::findClosestIndex "size_t VariableBinAxis::findClosestIndex(double value) const override
VariableBinAxis::findClosestIndex";

%feature("docstring")  VariableBinAxis::binCenters "std::vector< double > VariableBinAxis::binCenters() const override
VariableBinAxis::binCenters";

%feature("docstring")  VariableBinAxis::binBoundaries "std::vector< double > VariableBinAxis::binBoundaries() const override
VariableBinAxis::binBoundaries";

%feature("docstring")  VariableBinAxis::clip "void VariableBinAxis::clip(double lower, double upper) override
VariableBinAxis::clip";


// File: namespace_0d24.xml


// File: namespaceFramUtil.xml
%feature("docstring")  FramUtil::coordinateToBinf "double FramUtil::coordinateToBinf(double coordinate, const IAxis &axis)
FramUtil::coordinateToBinf
Transforms coordinate on axis into the bin-fraction-coordinate. 
";

%feature("docstring")  FramUtil::coordinateFromBinf "double FramUtil::coordinateFromBinf(double value, const IAxis &axis)
FramUtil::coordinateFromBinf
Transforms bin-fraction-coordinate into axis coordinate. 
";

%feature("docstring")  FramUtil::coordinatesToBinf "void FramUtil::coordinatesToBinf(double &x, double &y, const Frame &frame)
FramUtil::coordinatesToBinf
Transforms x,y coordinate from Datafield axes coordinates to bin-fraction-coordinates. 
";

%feature("docstring")  FramUtil::coordinatesFromBinf "void FramUtil::coordinatesFromBinf(double &x, double &y, const Frame &frame)
FramUtil::coordinatesFromBinf
Transforms x,y coordinate from bin-fraction-coordinates to Datafield's axes coordinates. 
";


// File: namespaceNumeric.xml
%feature("docstring")  Numeric::GetAbsoluteDifference "double Numeric::GetAbsoluteDifference(double a, double b)
Numeric::GetAbsoluteDifference
Returns the absolute value of the difference between a and b. 
";

%feature("docstring")  Numeric::relativeDifference "double Numeric::relativeDifference(double a, double b)
Numeric::relativeDifference
Returns the safe relative difference, which is 2(|a-b|)/(|a|+|b|) except in special cases. 
";

%feature("docstring")  Numeric::GetLogDifference "double Numeric::GetLogDifference(double a, double b)
Numeric::GetLogDifference
Returns the difference of the logarithm; input values are truncated at the minimum positive value 
";


// File: namespacePy.xml


// File: namespacePy_1_1Fmt.xml
%feature("docstring")  Py::Fmt::printImportedSymbols "std::string Py::Fmt::printImportedSymbols(const std::string &code)
Py::Fmt::printImportedSymbols";

%feature("docstring")  Py::Fmt::printInt "std::string Py::Fmt::printInt(int value)
Py::Fmt::printInt";

%feature("docstring")  Py::Fmt::printBool "std::string Py::Fmt::printBool(double value)
Py::Fmt::printBool";

%feature("docstring")  Py::Fmt::printDouble "std::string Py::Fmt::printDouble(double input)
Py::Fmt::printDouble";

%feature("docstring")  Py::Fmt::printLightDouble "std::string Py::Fmt::printLightDouble(double input)
Py::Fmt::printLightDouble
prints double as an integer, if possible within standard accuracy 
";

%feature("docstring")  Py::Fmt::printNm "std::string Py::Fmt::printNm(double input)
Py::Fmt::printNm";

%feature("docstring")  Py::Fmt::printNm2 "std::string Py::Fmt::printNm2(double input)
Py::Fmt::printNm2";

%feature("docstring")  Py::Fmt::printScientificDouble "std::string Py::Fmt::printScientificDouble(double input)
Py::Fmt::printScientificDouble";

%feature("docstring")  Py::Fmt::printDegrees "std::string Py::Fmt::printDegrees(double input)
Py::Fmt::printDegrees";

%feature("docstring")  Py::Fmt::printValue "std::string Py::Fmt::printValue(double value, const std::string &units)
Py::Fmt::printValue";

%feature("docstring")  Py::Fmt::printValue "std::string Py::Fmt::printValue(std::variant< double, int > value, const std::string &units)
Py::Fmt::printValue";

%feature("docstring")  Py::Fmt::printString "std::string Py::Fmt::printString(const std::string &value)
Py::Fmt::printString";

%feature("docstring")  Py::Fmt::printArguments "std::string Py::Fmt::printArguments(const std::vector< std::pair< double, std::string > > &arguments)
Py::Fmt::printArguments";

%feature("docstring")  Py::Fmt::printArguments "std::string Py::Fmt::printArguments(const std::vector< std::pair< std::variant< double, int >, std::string > > &arguments)
Py::Fmt::printArguments";

%feature("docstring")  Py::Fmt::printFunction "std::string Py::Fmt::printFunction(const std::string &name, const std::vector< std::pair< double, std::string > > &arguments)
Py::Fmt::printFunction";

%feature("docstring")  Py::Fmt::printFunction "std::string Py::Fmt::printFunction(const std::string &name, double value, const std::string &unit)
Py::Fmt::printFunction";

%feature("docstring")  Py::Fmt::printFunction "std::string Py::Fmt::printFunction(const std::string &name, double value1, const std::string &unit1, double value2, const std::string &unit2)
Py::Fmt::printFunction";

%feature("docstring")  Py::Fmt::isSquare "bool Py::Fmt::isSquare(double length1, double length2, double angle)
Py::Fmt::isSquare";

%feature("docstring")  Py::Fmt::isHexagonal "bool Py::Fmt::isHexagonal(double length1, double length2, double angle)
Py::Fmt::isHexagonal";

%feature("docstring")  Py::Fmt::printKvector "std::string Py::Fmt::printKvector(const R3 value)
Py::Fmt::printKvector";

%feature("docstring")  Py::Fmt::indent "std::string Py::Fmt::indent(size_t width)
Py::Fmt::indent";


// File: namespaceUnits.xml
%feature("docstring")  Units::rad2deg "double Units::rad2deg(double angle)
Units::rad2deg";

%feature("docstring")  Units::deg2rad "double Units::deg2rad(double angle)
Units::deg2rad";


// File: Bin_8h.xml


// File: ConstKBinAxis_8cpp.xml


// File: ConstKBinAxis_8h.xml


// File: CustomBinAxis_8cpp.xml


// File: CustomBinAxis_8h.xml


// File: FixedBinAxis_8cpp.xml


// File: FixedBinAxis_8h.xml


// File: Frame_8cpp.xml


// File: Frame_8h.xml


// File: FrameUtil_8cpp.xml


// File: FrameUtil_8h.xml


// File: IAxis_8cpp.xml


// File: IAxis_8h.xml


// File: PointwiseAxis_8cpp.xml


// File: PointwiseAxis_8h.xml


// File: VariableBinAxis_8cpp.xml


// File: VariableBinAxis_8h.xml


// File: PhysicalConstants_8h.xml


// File: Units_8h.xml


// File: DepthProbeElement_8cpp.xml


// File: DepthProbeElement_8h.xml


// File: IElement_8h.xml


// File: PolMatrices_8cpp.xml


// File: PolMatrices_8h.xml


// File: Bessel_8cpp.xml


// File: Bessel_8h.xml


// File: Constants_8h.xml


// File: FourierTransform_8cpp.xml


// File: FourierTransform_8h.xml


// File: Functions_8cpp.xml


// File: Functions_8h.xml


// File: IntegratorGK_8cpp.xml


// File: IntegratorGK_8h.xml


// File: IntegratorMCMiser_8h.xml


// File: Numeric_8cpp.xml


// File: Numeric_8h.xml


// File: IPixel_8h.xml


// File: RectangularPixel_8cpp.xml


// File: RectangularPixel_8h.xml


// File: SphericalPixel_8cpp.xml


// File: SphericalPixel_8h.xml


// File: DelayedProgressCounter_8cpp.xml


// File: DelayedProgressCounter_8h.xml


// File: ProgressHandler_8cpp.xml


// File: ProgressHandler_8h.xml


// File: PyCore_8h.xml


// File: PyFmt_8cpp.xml


// File: PyFmt_8h.xml


// File: PyObject_8h.xml


// File: PyUtils_8cpp.xml


// File: PyUtils_8h.xml


// File: SpinMatrix_8cpp.xml


// File: SpinMatrix_8h.xml


// File: Spinor_8cpp.xml
%feature("docstring")  DotProduct "complex_t DotProduct(const Spinor &r, const Spinor &t)
";


// File: Spinor_8h.xml
%feature("docstring")  DotProduct "complex_t DotProduct(const Spinor &r, const Spinor &t)
";


// File: CloneableVector_8h.xml


// File: ICloneable_8h.xml


// File: OwningVector_8h.xml


// File: Algorithms_8h.xml


// File: Assert_8h.xml


// File: FileSystemUtils_8cpp.xml


// File: FileSystemUtils_8h.xml


// File: IFactory_8h.xml


// File: StringUtils_8cpp.xml


// File: StringUtils_8h.xml


// File: SysUtils_8cpp.xml


// File: SysUtils_8h.xml


// File: ThreadInfo_8h.xml


// File: Direction_8cpp.xml
%feature("docstring")  vecOfLambdaAlphaPhi "R3 vecOfLambdaAlphaPhi(double _lambda, double _alpha, double _phi)
";


// File: Direction_8h.xml
%feature("docstring")  vecOfLambdaAlphaPhi "R3 vecOfLambdaAlphaPhi(double _lambda, double _alpha, double _phi)
";


// File: RotMatrix_8h.xml


// File: WavevectorInfo_8cpp.xml


// File: WavevectorInfo_8h.xml


// File: dir_601becd875582af070010d10b4fc90ee.xml


// File: dir_628593db0cdce5a76fb85526ae5aa762.xml


// File: dir_53458346a71374f205070d8bd3d865f1.xml


// File: dir_7df789e053302bffce89fe9e2e25541f.xml


// File: dir_1deae888303a1f34152fb62b13af5143.xml


// File: dir_ec49f598ebf9445998ce86a14e7c0417.xml


// File: dir_218b7a826f06e97e45b5c3355c035233.xml


// File: dir_85d2541e5e50049c186ff9970a3b8ef5.xml


// File: dir_77666440376f62a474e0e262c08206cd.xml


// File: dir_38a5ec4dd9a60e867dacdb92549a13e0.xml


// File: dir_93291dfd04bcad009576d4a5dc5e9788.xml


// File: dir_3d1c6f3819a4cd7ba7fe36c1c1e379fe.xml

