
// File: index.xml

// File: classDistributionCosine.xml
%feature("docstring") DistributionCosine "

Cosine distribution.

C++ includes: Distributions.h
";

%feature("docstring")  DistributionCosine::DistributionCosine "DistributionCosine::DistributionCosine(std::vector< double > P)
DistributionCosine::DistributionCosine";

%feature("docstring")  DistributionCosine::DistributionCosine "DistributionCosine::DistributionCosine(double mean, double sigma)
DistributionCosine::DistributionCosine";

%feature("docstring")  DistributionCosine::DistributionCosine "DistributionCosine::DistributionCosine()
DistributionCosine::DistributionCosine";

%feature("docstring")  DistributionCosine::clone "DistributionCosine * DistributionCosine::clone() const override
DistributionCosine::clone";

%feature("docstring")  DistributionCosine::className "std::string DistributionCosine::className() const final
DistributionCosine::className";

%feature("docstring")  DistributionCosine::parDefs "std::vector< ParaMeta > DistributionCosine::parDefs() const final
DistributionCosine::parDefs";

%feature("docstring")  DistributionCosine::probabilityDensity "double DistributionCosine::probabilityDensity(double x) const override
DistributionCosine::probabilityDensity";

%feature("docstring")  DistributionCosine::mean "double DistributionCosine::mean() const override
DistributionCosine::mean";

%feature("docstring")  DistributionCosine::sigma "double DistributionCosine::sigma() const
DistributionCosine::sigma";

%feature("docstring")  DistributionCosine::equidistantPoints "std::vector< double > DistributionCosine::equidistantPoints(size_t nbr_samples, double sigma_factor, const RealLimits &limits={}) const override
DistributionCosine::equidistantPoints
generate list of sample values 
";

%feature("docstring")  DistributionCosine::isDelta "bool DistributionCosine::isDelta() const override
DistributionCosine::isDelta";

%feature("docstring")  DistributionCosine::pythonConstructor "std::string DistributionCosine::pythonConstructor(const std::string &units) const override
DistributionCosine::pythonConstructor";

%feature("docstring")  DistributionCosine::validate "std::string DistributionCosine::validate() const override
DistributionCosine::validate";


// File: classDistributionGate.xml
%feature("docstring") DistributionGate "

Uniform distribution function with half width hwhm.

C++ includes: Distributions.h
";

%feature("docstring")  DistributionGate::DistributionGate "DistributionGate::DistributionGate(std::vector< double > P)
DistributionGate::DistributionGate";

%feature("docstring")  DistributionGate::DistributionGate "DistributionGate::DistributionGate(double min, double max)
DistributionGate::DistributionGate";

%feature("docstring")  DistributionGate::DistributionGate "DistributionGate::DistributionGate()
DistributionGate::DistributionGate";

%feature("docstring")  DistributionGate::clone "DistributionGate * DistributionGate::clone() const override
DistributionGate::clone";

%feature("docstring")  DistributionGate::className "std::string DistributionGate::className() const final
DistributionGate::className";

%feature("docstring")  DistributionGate::parDefs "std::vector< ParaMeta > DistributionGate::parDefs() const final
DistributionGate::parDefs";

%feature("docstring")  DistributionGate::probabilityDensity "double DistributionGate::probabilityDensity(double x) const override
DistributionGate::probabilityDensity";

%feature("docstring")  DistributionGate::mean "double DistributionGate::mean() const override
DistributionGate::mean";

%feature("docstring")  DistributionGate::min "double DistributionGate::min() const
DistributionGate::min";

%feature("docstring")  DistributionGate::max "double DistributionGate::max() const
DistributionGate::max";

%feature("docstring")  DistributionGate::equidistantPoints "std::vector< double > DistributionGate::equidistantPoints(size_t nbr_samples, double sigma_factor, const RealLimits &limits={}) const override
DistributionGate::equidistantPoints
Returns list of sample values. 
";

%feature("docstring")  DistributionGate::isDelta "bool DistributionGate::isDelta() const override
DistributionGate::isDelta";

%feature("docstring")  DistributionGate::pythonConstructor "std::string DistributionGate::pythonConstructor(const std::string &units) const override
DistributionGate::pythonConstructor";

%feature("docstring")  DistributionGate::validate "std::string DistributionGate::validate() const override
DistributionGate::validate";


// File: classDistributionGaussian.xml
%feature("docstring") DistributionGaussian "

Gaussian distribution with standard deviation std_dev.

C++ includes: Distributions.h
";

%feature("docstring")  DistributionGaussian::DistributionGaussian "DistributionGaussian::DistributionGaussian(std::vector< double > P)
DistributionGaussian::DistributionGaussian";

%feature("docstring")  DistributionGaussian::DistributionGaussian "DistributionGaussian::DistributionGaussian(double mean, double std_dev)
DistributionGaussian::DistributionGaussian";

%feature("docstring")  DistributionGaussian::DistributionGaussian "DistributionGaussian::DistributionGaussian()
DistributionGaussian::DistributionGaussian";

%feature("docstring")  DistributionGaussian::clone "DistributionGaussian * DistributionGaussian::clone() const override
DistributionGaussian::clone";

%feature("docstring")  DistributionGaussian::className "std::string DistributionGaussian::className() const final
DistributionGaussian::className";

%feature("docstring")  DistributionGaussian::parDefs "std::vector< ParaMeta > DistributionGaussian::parDefs() const final
DistributionGaussian::parDefs";

%feature("docstring")  DistributionGaussian::probabilityDensity "double DistributionGaussian::probabilityDensity(double x) const override
DistributionGaussian::probabilityDensity";

%feature("docstring")  DistributionGaussian::mean "double DistributionGaussian::mean() const override
DistributionGaussian::mean";

%feature("docstring")  DistributionGaussian::getStdDev "double DistributionGaussian::getStdDev() const
DistributionGaussian::getStdDev";

%feature("docstring")  DistributionGaussian::equidistantPoints "std::vector< double > DistributionGaussian::equidistantPoints(size_t nbr_samples, double sigma_factor, const RealLimits &limits={}) const override
DistributionGaussian::equidistantPoints
generate list of sample values 
";

%feature("docstring")  DistributionGaussian::isDelta "bool DistributionGaussian::isDelta() const override
DistributionGaussian::isDelta";

%feature("docstring")  DistributionGaussian::pythonConstructor "std::string DistributionGaussian::pythonConstructor(const std::string &units) const override
DistributionGaussian::pythonConstructor";

%feature("docstring")  DistributionGaussian::validate "std::string DistributionGaussian::validate() const override
DistributionGaussian::validate";


// File: classDistributionLogNormal.xml
%feature("docstring") DistributionLogNormal "

Log-normal distribution.

C++ includes: Distributions.h
";

%feature("docstring")  DistributionLogNormal::DistributionLogNormal "DistributionLogNormal::DistributionLogNormal(std::vector< double > P)
DistributionLogNormal::DistributionLogNormal";

%feature("docstring")  DistributionLogNormal::DistributionLogNormal "DistributionLogNormal::DistributionLogNormal(double median, double scale_param)
DistributionLogNormal::DistributionLogNormal";

%feature("docstring")  DistributionLogNormal::clone "DistributionLogNormal * DistributionLogNormal::clone() const override
DistributionLogNormal::clone";

%feature("docstring")  DistributionLogNormal::className "std::string DistributionLogNormal::className() const final
DistributionLogNormal::className";

%feature("docstring")  DistributionLogNormal::parDefs "std::vector< ParaMeta > DistributionLogNormal::parDefs() const final
DistributionLogNormal::parDefs";

%feature("docstring")  DistributionLogNormal::probabilityDensity "double DistributionLogNormal::probabilityDensity(double x) const override
DistributionLogNormal::probabilityDensity";

%feature("docstring")  DistributionLogNormal::mean "double DistributionLogNormal::mean() const override
DistributionLogNormal::mean";

%feature("docstring")  DistributionLogNormal::getMedian "double DistributionLogNormal::getMedian() const
DistributionLogNormal::getMedian";

%feature("docstring")  DistributionLogNormal::getScalePar "double DistributionLogNormal::getScalePar() const
DistributionLogNormal::getScalePar";

%feature("docstring")  DistributionLogNormal::equidistantPoints "std::vector< double > DistributionLogNormal::equidistantPoints(size_t nbr_samples, double sigma_factor, const RealLimits &limits={}) const override
DistributionLogNormal::equidistantPoints
generate list of sample values 
";

%feature("docstring")  DistributionLogNormal::isDelta "bool DistributionLogNormal::isDelta() const override
DistributionLogNormal::isDelta";

%feature("docstring")  DistributionLogNormal::pythonConstructor "std::string DistributionLogNormal::pythonConstructor(const std::string &units) const override
DistributionLogNormal::pythonConstructor";

%feature("docstring")  DistributionLogNormal::validate "std::string DistributionLogNormal::validate() const override
DistributionLogNormal::validate";


// File: classDistributionLorentz.xml
%feature("docstring") DistributionLorentz "

Lorentz distribution with half width hwhm.

C++ includes: Distributions.h
";

%feature("docstring")  DistributionLorentz::DistributionLorentz "DistributionLorentz::DistributionLorentz(std::vector< double > P)
DistributionLorentz::DistributionLorentz";

%feature("docstring")  DistributionLorentz::DistributionLorentz "DistributionLorentz::DistributionLorentz(double mean, double hwhm)
DistributionLorentz::DistributionLorentz";

%feature("docstring")  DistributionLorentz::DistributionLorentz "DistributionLorentz::DistributionLorentz()
DistributionLorentz::DistributionLorentz";

%feature("docstring")  DistributionLorentz::clone "DistributionLorentz * DistributionLorentz::clone() const override
DistributionLorentz::clone";

%feature("docstring")  DistributionLorentz::className "std::string DistributionLorentz::className() const final
DistributionLorentz::className";

%feature("docstring")  DistributionLorentz::parDefs "std::vector< ParaMeta > DistributionLorentz::parDefs() const final
DistributionLorentz::parDefs";

%feature("docstring")  DistributionLorentz::probabilityDensity "double DistributionLorentz::probabilityDensity(double x) const override
DistributionLorentz::probabilityDensity";

%feature("docstring")  DistributionLorentz::mean "double DistributionLorentz::mean() const override
DistributionLorentz::mean";

%feature("docstring")  DistributionLorentz::hwhm "double DistributionLorentz::hwhm() const
DistributionLorentz::hwhm";

%feature("docstring")  DistributionLorentz::equidistantPoints "std::vector< double > DistributionLorentz::equidistantPoints(size_t nbr_samples, double sigma_factor, const RealLimits &limits={}) const override
DistributionLorentz::equidistantPoints
generate list of sample values 
";

%feature("docstring")  DistributionLorentz::isDelta "bool DistributionLorentz::isDelta() const override
DistributionLorentz::isDelta";

%feature("docstring")  DistributionLorentz::pythonConstructor "std::string DistributionLorentz::pythonConstructor(const std::string &units) const override
DistributionLorentz::pythonConstructor";

%feature("docstring")  DistributionLorentz::validate "std::string DistributionLorentz::validate() const override
DistributionLorentz::validate";


// File: classDistributionTrapezoid.xml
%feature("docstring") DistributionTrapezoid "

Trapezoidal distribution.

C++ includes: Distributions.h
";

%feature("docstring")  DistributionTrapezoid::DistributionTrapezoid "DistributionTrapezoid::DistributionTrapezoid(std::vector< double > P)
DistributionTrapezoid::DistributionTrapezoid";

%feature("docstring")  DistributionTrapezoid::DistributionTrapezoid "DistributionTrapezoid::DistributionTrapezoid(double center, double left, double middle, double right)
DistributionTrapezoid::DistributionTrapezoid";

%feature("docstring")  DistributionTrapezoid::DistributionTrapezoid "DistributionTrapezoid::DistributionTrapezoid()
DistributionTrapezoid::DistributionTrapezoid";

%feature("docstring")  DistributionTrapezoid::clone "DistributionTrapezoid * DistributionTrapezoid::clone() const override
DistributionTrapezoid::clone";

%feature("docstring")  DistributionTrapezoid::className "std::string DistributionTrapezoid::className() const final
DistributionTrapezoid::className";

%feature("docstring")  DistributionTrapezoid::parDefs "std::vector< ParaMeta > DistributionTrapezoid::parDefs() const final
DistributionTrapezoid::parDefs";

%feature("docstring")  DistributionTrapezoid::probabilityDensity "double DistributionTrapezoid::probabilityDensity(double x) const override
DistributionTrapezoid::probabilityDensity";

%feature("docstring")  DistributionTrapezoid::mean "double DistributionTrapezoid::mean() const override
DistributionTrapezoid::mean";

%feature("docstring")  DistributionTrapezoid::getLeftWidth "double DistributionTrapezoid::getLeftWidth() const
DistributionTrapezoid::getLeftWidth";

%feature("docstring")  DistributionTrapezoid::getMiddleWidth "double DistributionTrapezoid::getMiddleWidth() const
DistributionTrapezoid::getMiddleWidth";

%feature("docstring")  DistributionTrapezoid::getRightWidth "double DistributionTrapezoid::getRightWidth() const
DistributionTrapezoid::getRightWidth";

%feature("docstring")  DistributionTrapezoid::equidistantPoints "std::vector< double > DistributionTrapezoid::equidistantPoints(size_t nbr_samples, double sigma_factor, const RealLimits &limits={}) const override
DistributionTrapezoid::equidistantPoints
generate list of sample values 
";

%feature("docstring")  DistributionTrapezoid::isDelta "bool DistributionTrapezoid::isDelta() const override
DistributionTrapezoid::isDelta";

%feature("docstring")  DistributionTrapezoid::pythonConstructor "std::string DistributionTrapezoid::pythonConstructor(const std::string &units) const override
DistributionTrapezoid::pythonConstructor";

%feature("docstring")  DistributionTrapezoid::validate "std::string DistributionTrapezoid::validate() const override
DistributionTrapezoid::validate";


// File: classParameterDistribution.xml
%feature("docstring") ParameterDistribution "

A parametric distribution function, for use with any model parameter.

C++ includes: ParameterDistribution.h
";

%feature("docstring")  ParameterDistribution::ParameterDistribution "ParameterDistribution::ParameterDistribution(WhichParameter whichParameter, const IDistribution1D &distribution, size_t nbr_samples, double sigma_factor=0.0, const RealLimits &limits=RealLimits())
ParameterDistribution::ParameterDistribution";

%feature("docstring")  ParameterDistribution::ParameterDistribution "ParameterDistribution::ParameterDistribution(WhichParameter whichParameter, const IDistribution1D &distribution, size_t nbr_samples, double xmin, double xmax)
ParameterDistribution::ParameterDistribution";

%feature("docstring")  ParameterDistribution::ParameterDistribution "ParameterDistribution::ParameterDistribution(const ParameterDistribution &other)
ParameterDistribution::ParameterDistribution";

%feature("docstring")  ParameterDistribution::~ParameterDistribution "ParameterDistribution::~ParameterDistribution()
ParameterDistribution::~ParameterDistribution";

%feature("docstring")  ParameterDistribution::whichParameter "ParameterDistribution::WhichParameter ParameterDistribution::whichParameter() const
ParameterDistribution::whichParameter";

%feature("docstring")  ParameterDistribution::whichParameterAsPyEnum "std::string ParameterDistribution::whichParameterAsPyEnum() const
ParameterDistribution::whichParameterAsPyEnum";

%feature("docstring")  ParameterDistribution::nDraws "size_t ParameterDistribution::nDraws() const
ParameterDistribution::nDraws
get number of samples for this distribution 
";

%feature("docstring")  ParameterDistribution::sigmaFactor "double ParameterDistribution::sigmaFactor() const
ParameterDistribution::sigmaFactor
get the sigma factor 
";

%feature("docstring")  ParameterDistribution::getDistribution "const IDistribution1D * ParameterDistribution::getDistribution() const
ParameterDistribution::getDistribution";

%feature("docstring")  ParameterDistribution::getDistribution "IDistribution1D * ParameterDistribution::getDistribution()
ParameterDistribution::getDistribution";

%feature("docstring")  ParameterDistribution::generateSamples "std::vector< ParameterSample > ParameterDistribution::generateSamples() const
ParameterDistribution::generateSamples
generate list of sampled values with their weight 
";

%feature("docstring")  ParameterDistribution::getLimits "RealLimits ParameterDistribution::getLimits() const
ParameterDistribution::getLimits";

%feature("docstring")  ParameterDistribution::getMinValue "double ParameterDistribution::getMinValue() const
ParameterDistribution::getMinValue";

%feature("docstring")  ParameterDistribution::getMaxValue "double ParameterDistribution::getMaxValue() const
ParameterDistribution::getMaxValue";


// File: classParameterSample.xml
%feature("docstring") ParameterSample "

A parameter value with a weight, as obtained when sampling from a distribution.

C++ includes: ParameterSample.h
";

%feature("docstring")  ParameterSample::ParameterSample "ParameterSample::ParameterSample(double _value, double _weight=1)
ParameterSample::ParameterSample";


// File: classRangedDistributionCosine.xml
%feature("docstring") RangedDistributionCosine "

Cosine distribution.

C++ includes: RangedDistributions.h
";

%feature("docstring")  RangedDistributionCosine::RangedDistributionCosine "RangedDistributionCosine::RangedDistributionCosine()
RangedDistributionCosine::RangedDistributionCosine";

%feature("docstring")  RangedDistributionCosine::RangedDistributionCosine "RangedDistributionCosine::RangedDistributionCosine(size_t n_samples, double sigma_factor, const RealLimits &limits=RealLimits::limitless())
RangedDistributionCosine::RangedDistributionCosine";

%feature("docstring")  RangedDistributionCosine::RangedDistributionCosine "RangedDistributionCosine::RangedDistributionCosine(size_t n_samples, double sigma_factor, double min, double max)
RangedDistributionCosine::RangedDistributionCosine
Initializes Ranged distribution with given number of samples, sigma factor (range in standard deviations to take into account during sample generation) and limits (either RealLimits object or just min and max limits). By default  n_samples = 5,  sigma_factor = 2.0, while the limits are (-inf, +inf). 
";

%feature("docstring")  RangedDistributionCosine::clone "RangedDistributionCosine * RangedDistributionCosine::clone() const override
RangedDistributionCosine::clone";

%feature("docstring")  RangedDistributionCosine::~RangedDistributionCosine "RangedDistributionCosine::~RangedDistributionCosine() override=default
RangedDistributionCosine::~RangedDistributionCosine";

%feature("docstring")  RangedDistributionCosine::name "std::string RangedDistributionCosine::name() const override
RangedDistributionCosine::name
Returns distribution name for python-formatted text. 
";


// File: classRangedDistributionGate.xml
%feature("docstring") RangedDistributionGate "

Uniform distribution function.

C++ includes: RangedDistributions.h
";

%feature("docstring")  RangedDistributionGate::RangedDistributionGate "RangedDistributionGate::RangedDistributionGate()
RangedDistributionGate::RangedDistributionGate";

%feature("docstring")  RangedDistributionGate::RangedDistributionGate "RangedDistributionGate::RangedDistributionGate(size_t n_samples, double sigma_factor, const RealLimits &limits=RealLimits::limitless())
RangedDistributionGate::RangedDistributionGate";

%feature("docstring")  RangedDistributionGate::RangedDistributionGate "RangedDistributionGate::RangedDistributionGate(size_t n_samples, double sigma_factor, double min, double max)
RangedDistributionGate::RangedDistributionGate
Initializes Ranged distribution with given number of samples, sigma factor (range in standard deviations to take into account during sample generation) and limits (either RealLimits object or just min and max limits). By default  n_samples = 5,  sigma_factor = 2.0, while the limits are (-inf, +inf). 
";

%feature("docstring")  RangedDistributionGate::clone "RangedDistributionGate * RangedDistributionGate::clone() const override
RangedDistributionGate::clone";

%feature("docstring")  RangedDistributionGate::~RangedDistributionGate "RangedDistributionGate::~RangedDistributionGate() override=default
RangedDistributionGate::~RangedDistributionGate";

%feature("docstring")  RangedDistributionGate::name "std::string RangedDistributionGate::name() const override
RangedDistributionGate::name
Returns distribution name for python-formatted text. 
";


// File: classRangedDistributionGaussian.xml
%feature("docstring") RangedDistributionGaussian "

Gaussian distribution with standard deviation std_dev.

C++ includes: RangedDistributions.h
";

%feature("docstring")  RangedDistributionGaussian::RangedDistributionGaussian "RangedDistributionGaussian::RangedDistributionGaussian()
RangedDistributionGaussian::RangedDistributionGaussian";

%feature("docstring")  RangedDistributionGaussian::RangedDistributionGaussian "RangedDistributionGaussian::RangedDistributionGaussian(size_t n_samples, double sigma_factor, const RealLimits &limits=RealLimits::limitless())
RangedDistributionGaussian::RangedDistributionGaussian";

%feature("docstring")  RangedDistributionGaussian::RangedDistributionGaussian "RangedDistributionGaussian::RangedDistributionGaussian(size_t n_samples, double sigma_factor, double min, double max)
RangedDistributionGaussian::RangedDistributionGaussian
Initializes Ranged distribution with given number of samples, sigma factor (range in standard deviations to take into account during sample generation) and limits (either RealLimits object or just min and max limits). By default  n_samples = 5,  sigma_factor = 2.0, while the limits are (-inf, +inf). 
";

%feature("docstring")  RangedDistributionGaussian::clone "RangedDistributionGaussian * RangedDistributionGaussian::clone() const override
RangedDistributionGaussian::clone";

%feature("docstring")  RangedDistributionGaussian::~RangedDistributionGaussian "RangedDistributionGaussian::~RangedDistributionGaussian() override=default
RangedDistributionGaussian::~RangedDistributionGaussian";

%feature("docstring")  RangedDistributionGaussian::name "std::string RangedDistributionGaussian::name() const override
RangedDistributionGaussian::name
Returns distribution name for python-formatted text. 
";


// File: classRangedDistributionLogNormal.xml
%feature("docstring") RangedDistributionLogNormal "

Log-normal distribution.

C++ includes: RangedDistributions.h
";

%feature("docstring")  RangedDistributionLogNormal::RangedDistributionLogNormal "RangedDistributionLogNormal::RangedDistributionLogNormal()
RangedDistributionLogNormal::RangedDistributionLogNormal";

%feature("docstring")  RangedDistributionLogNormal::RangedDistributionLogNormal "RangedDistributionLogNormal::RangedDistributionLogNormal(size_t n_samples, double sigma_factor, const RealLimits &limits=RealLimits::limitless())
RangedDistributionLogNormal::RangedDistributionLogNormal";

%feature("docstring")  RangedDistributionLogNormal::RangedDistributionLogNormal "RangedDistributionLogNormal::RangedDistributionLogNormal(size_t n_samples, double sigma_factor, double min, double max)
RangedDistributionLogNormal::RangedDistributionLogNormal
Initializes Ranged distribution with given number of samples, sigma factor (range in standard deviations to take into account during sample generation) and limits (either RealLimits object or just min and max limits). By default  n_samples = 5,  sigma_factor = 2.0, while the limits are (-inf, +inf). 
";

%feature("docstring")  RangedDistributionLogNormal::clone "RangedDistributionLogNormal * RangedDistributionLogNormal::clone() const override
RangedDistributionLogNormal::clone";

%feature("docstring")  RangedDistributionLogNormal::~RangedDistributionLogNormal "RangedDistributionLogNormal::~RangedDistributionLogNormal() override=default
RangedDistributionLogNormal::~RangedDistributionLogNormal";

%feature("docstring")  RangedDistributionLogNormal::name "std::string RangedDistributionLogNormal::name() const override
RangedDistributionLogNormal::name
Returns distribution name for python-formatted text. 
";


// File: classRangedDistributionLorentz.xml
%feature("docstring") RangedDistributionLorentz "

Lorentz distribution with median and hwhm.

C++ includes: RangedDistributions.h
";

%feature("docstring")  RangedDistributionLorentz::RangedDistributionLorentz "RangedDistributionLorentz::RangedDistributionLorentz()
RangedDistributionLorentz::RangedDistributionLorentz";

%feature("docstring")  RangedDistributionLorentz::RangedDistributionLorentz "RangedDistributionLorentz::RangedDistributionLorentz(size_t n_samples, double hwhm_factor, const RealLimits &limits=RealLimits::limitless())
RangedDistributionLorentz::RangedDistributionLorentz";

%feature("docstring")  RangedDistributionLorentz::RangedDistributionLorentz "RangedDistributionLorentz::RangedDistributionLorentz(size_t n_samples, double hwhm_factor, double min, double max)
RangedDistributionLorentz::RangedDistributionLorentz
Initializes Ranged distribution with given number of samples, sigma factor (range in standard deviations to take into account during sample generation) and limits (either RealLimits object or just min and max limits). By default  n_samples = 5,  hwhm_factor = 2.0, while the limits are (-inf, +inf). 
";

%feature("docstring")  RangedDistributionLorentz::clone "RangedDistributionLorentz * RangedDistributionLorentz::clone() const override
RangedDistributionLorentz::clone";

%feature("docstring")  RangedDistributionLorentz::~RangedDistributionLorentz "RangedDistributionLorentz::~RangedDistributionLorentz() override=default
RangedDistributionLorentz::~RangedDistributionLorentz";

%feature("docstring")  RangedDistributionLorentz::name "std::string RangedDistributionLorentz::name() const override
RangedDistributionLorentz::name
Returns distribution name for python-formatted text. 
";


// File: namespace_0d2.xml


// File: namespace_0d7.xml


// File: DistributionHandler_8cpp.xml


// File: DistributionHandler_8h.xml


// File: Distributions_8cpp.xml


// File: Distributions_8h.xml


// File: ParameterDistribution_8cpp.xml


// File: ParameterDistribution_8h.xml


// File: ParameterSample_8h.xml


// File: RangedDistributions_8cpp.xml


// File: RangedDistributions_8h.xml


// File: INode_8cpp.xml


// File: INode_8h.xml


// File: NodeUtils_8h.xml


// File: dir_dabc42ad3745509abd3a496944bb880e.xml


// File: dir_a98fb20d64e2aea67a6e042d91197081.xml


// File: dir_d452a16c8784395bb8c21da516e88a7f.xml

