
// File: index.xml

// File: classReMesocrystal.xml
%feature("docstring") ReMesocrystal "

A reprocessed Mesocrystal.

C++ includes: ReMesocrystal.h
";

%feature("docstring")  ReMesocrystal::ReMesocrystal "ReMesocrystal::ReMesocrystal(const std::optional< size_t > &i_layer, const Lattice3D &lattice, const IReParticle &basis, const ReParticle &outer_shape, double position_variance=0.0)
ReMesocrystal::ReMesocrystal";

%feature("docstring")  ReMesocrystal::~ReMesocrystal "ReMesocrystal::~ReMesocrystal() override
ReMesocrystal::~ReMesocrystal";

%feature("docstring")  ReMesocrystal::clone "ReMesocrystal * ReMesocrystal::clone() const override
ReMesocrystal::clone";

%feature("docstring")  ReMesocrystal::setAmbientMaterial "void ReMesocrystal::setAmbientMaterial(const Material &material) override
ReMesocrystal::setAmbientMaterial";

%feature("docstring")  ReMesocrystal::volume "double ReMesocrystal::volume() const override
ReMesocrystal::volume";

%feature("docstring")  ReMesocrystal::radialExtension "double ReMesocrystal::radialExtension() const override
ReMesocrystal::radialExtension";

%feature("docstring")  ReMesocrystal::bottom_Z "double ReMesocrystal::bottom_Z(const IRotation *rotation) const override
ReMesocrystal::bottom_Z";

%feature("docstring")  ReMesocrystal::top_Z "double ReMesocrystal::top_Z(const IRotation *rotation) const override
ReMesocrystal::top_Z";

%feature("docstring")  ReMesocrystal::theFF "complex_t ReMesocrystal::theFF(const WavevectorInfo &wavevectors) const override
ReMesocrystal::theFF";

%feature("docstring")  ReMesocrystal::thePolFF "SpinMatrix ReMesocrystal::thePolFF(const WavevectorInfo &wavevectors) const override
ReMesocrystal::thePolFF";


// File: classSimulationOptions.xml
%feature("docstring") SimulationOptions "

Collect the different options for simulation.

SimulationOptions

C++ includes: SimulationOptions.h
";

%feature("docstring")  SimulationOptions::SimulationOptions "SimulationOptions::SimulationOptions()
SimulationOptions::SimulationOptions";

%feature("docstring")  SimulationOptions::isIntegrate "bool SimulationOptions::isIntegrate() const
SimulationOptions::isIntegrate";

%feature("docstring")  SimulationOptions::getMcPoints "size_t SimulationOptions::getMcPoints() const
SimulationOptions::getMcPoints";

%feature("docstring")  SimulationOptions::setMonteCarloIntegration "void SimulationOptions::setMonteCarloIntegration(bool flag=true, size_t mc_points=50)
SimulationOptions::setMonteCarloIntegration
Enables/disables MonetCarlo integration.

Parameters:
-----------

flag: 
If true, MonteCarlo integration will be used, otherwise analytical calculations

mc_points: 
Number of points for MonteCarlo integrator 
";

%feature("docstring")  SimulationOptions::setNumberOfThreads "void SimulationOptions::setNumberOfThreads(int nthreads)
SimulationOptions::setNumberOfThreads
Sets number of threads to use during the simulation (0 - take the default value from the hardware) 
";

%feature("docstring")  SimulationOptions::getNumberOfThreads "unsigned SimulationOptions::getNumberOfThreads() const
SimulationOptions::getNumberOfThreads";

%feature("docstring")  SimulationOptions::setNumberOfBatches "void SimulationOptions::setNumberOfBatches(int nbatches)
SimulationOptions::setNumberOfBatches
Sets number of batches to split. 
";

%feature("docstring")  SimulationOptions::getNumberOfBatches "unsigned SimulationOptions::getNumberOfBatches() const
SimulationOptions::getNumberOfBatches";

%feature("docstring")  SimulationOptions::getCurrentBatch "unsigned SimulationOptions::getCurrentBatch() const
SimulationOptions::getCurrentBatch";

%feature("docstring")  SimulationOptions::setThreadInfo "void SimulationOptions::setThreadInfo(const ThreadInfo &thread_info)
SimulationOptions::setThreadInfo
Sets the batch and thread information to be used. 
";

%feature("docstring")  SimulationOptions::getHardwareConcurrency "unsigned SimulationOptions::getHardwareConcurrency() const
SimulationOptions::getHardwareConcurrency";

%feature("docstring")  SimulationOptions::setIncludeSpecular "void SimulationOptions::setIncludeSpecular(bool include_specular)
SimulationOptions::setIncludeSpecular";

%feature("docstring")  SimulationOptions::includeSpecular "bool SimulationOptions::includeSpecular() const
SimulationOptions::includeSpecular";

%feature("docstring")  SimulationOptions::setUseAvgMaterials "void SimulationOptions::setUseAvgMaterials(bool use_avg_materials)
SimulationOptions::setUseAvgMaterials";

%feature("docstring")  SimulationOptions::useAvgMaterials "bool SimulationOptions::useAvgMaterials() const
SimulationOptions::useAvgMaterials";


// File: namespace_0d15.xml


// File: namespace_0d27.xml


// File: namespace_0d29.xml


// File: namespace_0d31.xml


// File: namespace_0d33.xml


// File: namespace_0d35.xml


// File: namespace_0d43.xml


// File: namespace_0d45.xml


// File: namespace_0d47.xml


// File: namespace_0d49.xml


// File: namespace_0d7.xml


// File: CoheringSubparticles_8cpp.xml


// File: CoheringSubparticles_8h.xml


// File: DiffuseElement_8cpp.xml


// File: DiffuseElement_8h.xml


// File: SpecularElement_8cpp.xml


// File: SpecularElement_8h.xml


// File: IFlux_8h.xml


// File: MatrixFlux_8cpp.xml


// File: MatrixFlux_8h.xml


// File: ScalarFlux_8cpp.xml


// File: ScalarFlux_8h.xml


// File: DecouplingApproximationStrategy_8cpp.xml


// File: DecouplingApproximationStrategy_8h.xml


// File: IInterparticleStrategy_8cpp.xml


// File: IInterparticleStrategy_8h.xml


// File: SSCAStrategy_8cpp.xml


// File: SSCAStrategy_8h.xml


// File: SimulationOptions_8cpp.xml


// File: SimulationOptions_8h.xml


// File: IReParticle_8cpp.xml


// File: IReParticle_8h.xml


// File: ReCompound_8cpp.xml


// File: ReCompound_8h.xml


// File: ReMesocrystal_8cpp.xml


// File: ReMesocrystal_8h.xml


// File: ReParticle_8cpp.xml


// File: ReParticle_8h.xml


// File: ReLayout_8cpp.xml


// File: ReLayout_8h.xml


// File: ReSample_8cpp.xml


// File: ReSample_8h.xml


// File: Slicer_8cpp.xml


// File: Slicer_8h.xml


// File: KzComputation_8cpp.xml


// File: KzComputation_8h.xml


// File: ProfileHelper_8cpp.xml


// File: ProfileHelper_8h.xml


// File: Slice_8cpp.xml


// File: Slice_8h.xml


// File: SliceStack_8cpp.xml


// File: SliceStack_8h.xml


// File: ZLimits_8cpp.xml


// File: ZLimits_8h.xml


// File: ComputeFluxMagnetic_8cpp.xml


// File: ComputeFluxMagnetic_8h.xml


// File: ComputeFluxScalar_8cpp.xml


// File: ComputeFluxScalar_8h.xml


// File: TransitionMagneticNevot_8cpp.xml


// File: TransitionMagneticNevot_8h.xml


// File: TransitionMagneticTanh_8cpp.xml


// File: TransitionMagneticTanh_8h.xml


// File: MultiLayerFuncs_8cpp.xml


// File: MultiLayerFuncs_8h.xml


// File: dir_05914d190eb55651e85671c4f064dae1.xml


// File: dir_28bc1277e419364b011e46aeb2e8e251.xml


// File: dir_4ab1bbd9e8de6a7ddc078bbf4801b604.xml


// File: dir_f2e99fd688553c1021427f9f47ee68cc.xml


// File: dir_fc04159ec4b49a4525d9d1e735a03048.xml


// File: dir_31af213eb35073f0536a9d5d1d1efa3a.xml


// File: dir_8b8e406e0c078f14186b4022c818284f.xml


// File: dir_dd8f7bdc5adb03cd4741fd30e320356d.xml


// File: dir_5a6fad4f9f1572339acc49c35f6f6afa.xml


// File: dir_1581d6c09e9e4d82c1ed930bcfd40548.xml


// File: dir_3d5d340a448876c17068ec92885910e5.xml

