
// File: index.xml

// File: classBarGauss.xml
%feature("docstring") BarGauss "

The form factor of an elongated bar, with Gaussian profile in elongation direction.

C++ includes: Bar.h
";

%feature("docstring")  BarGauss::BarGauss "BarGauss::BarGauss(double length, double width, double height)
BarGauss::BarGauss";


// File: classBarLorentz.xml
%feature("docstring") BarLorentz "

The form factor of an elongated, with Lorentz form factor in elongation direction.

C++ includes: Bar.h
";

%feature("docstring")  BarLorentz::BarLorentz "BarLorentz::BarLorentz(double length, double width, double height)
BarLorentz::BarLorentz";


// File: classBasicLattice2D.xml
%feature("docstring") BasicLattice2D "

A two-dimensional Bravais lattice with no special symmetry.

C++ includes: Lattice2D.h
";

%feature("docstring")  BasicLattice2D::BasicLattice2D "BasicLattice2D::BasicLattice2D(double length1, double length2, double angle, double xi)
BasicLattice2D::BasicLattice2D";

%feature("docstring")  BasicLattice2D::clone "BasicLattice2D * BasicLattice2D::clone() const override
BasicLattice2D::clone";

%feature("docstring")  BasicLattice2D::className "std::string BasicLattice2D::className() const final
BasicLattice2D::className";

%feature("docstring")  BasicLattice2D::parDefs "std::vector< ParaMeta > BasicLattice2D::parDefs() const final
BasicLattice2D::parDefs";

%feature("docstring")  BasicLattice2D::length1 "double BasicLattice2D::length1() const override
BasicLattice2D::length1";

%feature("docstring")  BasicLattice2D::length2 "double BasicLattice2D::length2() const override
BasicLattice2D::length2";

%feature("docstring")  BasicLattice2D::latticeAngle "double BasicLattice2D::latticeAngle() const override
BasicLattice2D::latticeAngle";

%feature("docstring")  BasicLattice2D::unitCellArea "double BasicLattice2D::unitCellArea() const override
BasicLattice2D::unitCellArea";

%feature("docstring")  BasicLattice2D::validate "std::string BasicLattice2D::validate() const override
BasicLattice2D::validate";


// File: classBipyramid4.xml
%feature("docstring") Bipyramid4 "

A truncated bifrustum with quadratic base.

C++ includes: Bipyramid4.h
";

%feature("docstring")  Bipyramid4::Bipyramid4 "Bipyramid4::Bipyramid4(double length, double height, double height_ratio, double alpha)
Bipyramid4::Bipyramid4";


// File: classBox.xml
%feature("docstring") Box "

A rectangular prism (parallelepiped).

C++ includes: Box.h
";

%feature("docstring")  Box::Box "Box::Box(double length, double width, double height)
Box::Box";


// File: classCantellatedCube.xml
%feature("docstring") CantellatedCube "

A cube, with truncation of all edges and corners, as in Croset (2017) Fig 7

C++ includes: CantellatedCube.h
";

%feature("docstring")  CantellatedCube::CantellatedCube "CantellatedCube::CantellatedCube(double length, double removed_length)
CantellatedCube::CantellatedCube";


// File: classCompound.xml
%feature("docstring") Compound "

A composition of particles at fixed positions

C++ includes: Compound.h
";

%feature("docstring")  Compound::Compound "Compound::Compound()
Compound::Compound";

%feature("docstring")  Compound::~Compound "Compound::~Compound() override
Compound::~Compound";

%feature("docstring")  Compound::clone "Compound * Compound::clone() const override
Compound::clone";

%feature("docstring")  Compound::className "std::string Compound::className() const final
Compound::className";

%feature("docstring")  Compound::nodeChildren "std::vector< const INode * > Compound::nodeChildren() const override
Compound::nodeChildren";

%feature("docstring")  Compound::decompose "OwningVector< IParticle > Compound::decompose() const override
Compound::decompose";

%feature("docstring")  Compound::addParticle "void Compound::addParticle(const IParticle &particle)
Compound::addParticle";

%feature("docstring")  Compound::addParticle "void Compound::addParticle(const IParticle &particle, R3 position)
Compound::addParticle";

%feature("docstring")  Compound::addParticles "void Compound::addParticles(const IParticle &particle, std::vector< R3 > positions)
Compound::addParticles";

%feature("docstring")  Compound::nbrParticles "size_t Compound::nbrParticles() const
Compound::nbrParticles
Returns number of different particles. 
";

%feature("docstring")  Compound::particles "std::vector< const IParticle * > Compound::particles() const
Compound::particles";

%feature("docstring")  Compound::validate "std::string Compound::validate() const override
Compound::validate";


// File: classCone.xml
%feature("docstring") Cone "

A conical frustum (cone truncated parallel to the base) with circular base.

C++ includes: Cone.h
";

%feature("docstring")  Cone::Cone "Cone::Cone(double radius, double height, double alpha)
Cone::Cone";


// File: classCoreAndShell.xml
%feature("docstring") CoreAndShell "

A particle with a core/shell geometry.

C++ includes: CoreAndShell.h
";

%feature("docstring")  CoreAndShell::CoreAndShell "CoreAndShell::CoreAndShell(const Particle &shell, const Particle &core, R3 relative_core_position=R3(0.0, 0.0, 0.0))
CoreAndShell::CoreAndShell";

%feature("docstring")  CoreAndShell::~CoreAndShell "CoreAndShell::~CoreAndShell() override
CoreAndShell::~CoreAndShell";

%feature("docstring")  CoreAndShell::clone "CoreAndShell * CoreAndShell::clone() const override
CoreAndShell::clone";

%feature("docstring")  CoreAndShell::className "std::string CoreAndShell::className() const final
CoreAndShell::className";

%feature("docstring")  CoreAndShell::nodeChildren "std::vector< const INode * > CoreAndShell::nodeChildren() const override
CoreAndShell::nodeChildren";

%feature("docstring")  CoreAndShell::shellParticle "const Particle * CoreAndShell::shellParticle() const
CoreAndShell::shellParticle";

%feature("docstring")  CoreAndShell::coreParticle "const Particle * CoreAndShell::coreParticle() const
CoreAndShell::coreParticle";

%feature("docstring")  CoreAndShell::validate "std::string CoreAndShell::validate() const override
CoreAndShell::validate";


// File: classCosineRippleBox.xml
%feature("docstring") CosineRippleBox "

The form factor for a cosine ripple, with box profile in elongation direction.

C++ includes: CosineRipple.h
";

%feature("docstring")  CosineRippleBox::CosineRippleBox "CosineRippleBox::CosineRippleBox(double length, double width, double height)
CosineRippleBox::CosineRippleBox";


// File: classCosineRippleGauss.xml
%feature("docstring") CosineRippleGauss "

The form factor for a cosine ripple, with Gaussian profile in elongation direction.

C++ includes: CosineRipple.h
";

%feature("docstring")  CosineRippleGauss::CosineRippleGauss "CosineRippleGauss::CosineRippleGauss(double length, double width, double height)
CosineRippleGauss::CosineRippleGauss";


// File: classCosineRippleLorentz.xml
%feature("docstring") CosineRippleLorentz "

The form factor for a cosine ripple, with Lorentz form factor in elongation direction.

C++ includes: CosineRipple.h
";

%feature("docstring")  CosineRippleLorentz::CosineRippleLorentz "CosineRippleLorentz::CosineRippleLorentz(double length, double width, double height)
CosineRippleLorentz::CosineRippleLorentz";


// File: classCrystal.xml
%feature("docstring") Crystal "

A crystal structure, defined by a Bravais lattice, a basis, and a position variance.

Computations are delegated to class ReMesocrystal.

Used in  Mesocrystal, where it is given an outer shape.

C++ includes: Crystal.h
";

%feature("docstring")  Crystal::Crystal "Crystal::Crystal(const IParticle &basis, const Lattice3D &lattice, double position_variance=0)
Crystal::Crystal";

%feature("docstring")  Crystal::~Crystal "Crystal::~Crystal() override
Crystal::~Crystal";

%feature("docstring")  Crystal::clone "Crystal * Crystal::clone() const override
Crystal::clone";

%feature("docstring")  Crystal::className "std::string Crystal::className() const final
Crystal::className";

%feature("docstring")  Crystal::nodeChildren "std::vector< const INode * > Crystal::nodeChildren() const override
Crystal::nodeChildren";

%feature("docstring")  Crystal::parDefs "std::vector< ParaMeta > Crystal::parDefs() const final
Crystal::parDefs";

%feature("docstring")  Crystal::basis "const IParticle * Crystal::basis() const
Crystal::basis";

%feature("docstring")  Crystal::lattice "const Lattice3D * Crystal::lattice() const
Crystal::lattice";

%feature("docstring")  Crystal::position_variance "double Crystal::position_variance() const
Crystal::position_variance";

%feature("docstring")  Crystal::transformed "Crystal * Crystal::transformed(const IRotation *rotation, const R3 &translation) const
Crystal::transformed";

%feature("docstring")  Crystal::validate "std::string Crystal::validate() const override
Crystal::validate";


// File: classCylinder.xml
%feature("docstring") Cylinder "

A circular cylinder.

C++ includes: Cylinder.h
";

%feature("docstring")  Cylinder::Cylinder "Cylinder::Cylinder(double radius, double height)
Cylinder::Cylinder";


// File: classDodecahedron.xml
%feature("docstring") Dodecahedron "

A regular dodecahedron.

C++ includes: Dodecahedron.h
";

%feature("docstring")  Dodecahedron::Dodecahedron "Dodecahedron::Dodecahedron(double edge)
Dodecahedron::Dodecahedron";


// File: classEllipsoidalCylinder.xml
%feature("docstring") EllipsoidalCylinder "

A cylinder with elliptical base.

C++ includes: EllipsoidalCylinder.h
";

%feature("docstring")  EllipsoidalCylinder::EllipsoidalCylinder "EllipsoidalCylinder::EllipsoidalCylinder(double radius_x, double radius_y, double height)
EllipsoidalCylinder::EllipsoidalCylinder";


// File: classFuzzySphere.xml
%feature("docstring") FuzzySphere "

A sphere with gaussian radius distribution.

C++ includes: FuzzySphere.h
";

%feature("docstring")  FuzzySphere::FuzzySphere "FuzzySphere::FuzzySphere(std::vector< double > P)
FuzzySphere::FuzzySphere";

%feature("docstring")  FuzzySphere::FuzzySphere "FuzzySphere::FuzzySphere(double mean, double sigma)
FuzzySphere::FuzzySphere";

%feature("docstring")  FuzzySphere::clone "FuzzySphere * FuzzySphere::clone() const override
FuzzySphere::clone";

%feature("docstring")  FuzzySphere::className "std::string FuzzySphere::className() const final
FuzzySphere::className";

%feature("docstring")  FuzzySphere::parDefs "std::vector< ParaMeta > FuzzySphere::parDefs() const final
FuzzySphere::parDefs";

%feature("docstring")  FuzzySphere::radialExtension "double FuzzySphere::radialExtension() const override
FuzzySphere::radialExtension";

%feature("docstring")  FuzzySphere::formfactor_at_bottom "complex_t FuzzySphere::formfactor_at_bottom(C3 q) const override
FuzzySphere::formfactor_at_bottom";

%feature("docstring")  FuzzySphere::validate "std::string FuzzySphere::validate() const override
FuzzySphere::validate";


// File: classGaussSphere.xml
%feature("docstring") GaussSphere "

The form factor of a Gaussian sphere.

C++ includes: Gauss.h
";

%feature("docstring")  GaussSphere::GaussSphere "GaussSphere::GaussSphere(std::vector< double > P)
GaussSphere::GaussSphere";

%feature("docstring")  GaussSphere::GaussSphere "GaussSphere::GaussSphere(double mean_radius)
GaussSphere::GaussSphere";

%feature("docstring")  GaussSphere::clone "GaussSphere * GaussSphere::clone() const override
GaussSphere::clone";

%feature("docstring")  GaussSphere::className "std::string GaussSphere::className() const final
GaussSphere::className";

%feature("docstring")  GaussSphere::parDefs "std::vector< ParaMeta > GaussSphere::parDefs() const final
GaussSphere::parDefs";

%feature("docstring")  GaussSphere::meanRadius "double GaussSphere::meanRadius() const
GaussSphere::meanRadius";

%feature("docstring")  GaussSphere::radialExtension "double GaussSphere::radialExtension() const override
GaussSphere::radialExtension";

%feature("docstring")  GaussSphere::formfactor_at_bottom "complex_t GaussSphere::formfactor_at_bottom(C3 q) const override
GaussSphere::formfactor_at_bottom";

%feature("docstring")  GaussSphere::validate "std::string GaussSphere::validate() const override
GaussSphere::validate";


// File: classHemiEllipsoid.xml
%feature("docstring") HemiEllipsoid "

An hemi ellipsoid, obtained by truncating a full ellipsoid in the middle plane spanned by two principal axes.

C++ includes: HemiEllipsoid.h
";

%feature("docstring")  HemiEllipsoid::HemiEllipsoid "HemiEllipsoid::HemiEllipsoid(double radius_x, double radius_y, double height)
HemiEllipsoid::HemiEllipsoid";


// File: classHexagonalLattice2D.xml
%feature("docstring") HexagonalLattice2D "

A two-dimensional Bravais lattice with hexagonal symmetry.

C++ includes: Lattice2D.h
";

%feature("docstring")  HexagonalLattice2D::HexagonalLattice2D "HexagonalLattice2D::HexagonalLattice2D(double length, double xi)
HexagonalLattice2D::HexagonalLattice2D";

%feature("docstring")  HexagonalLattice2D::clone "HexagonalLattice2D * HexagonalLattice2D::clone() const override
HexagonalLattice2D::clone";

%feature("docstring")  HexagonalLattice2D::className "std::string HexagonalLattice2D::className() const final
HexagonalLattice2D::className";

%feature("docstring")  HexagonalLattice2D::parDefs "std::vector< ParaMeta > HexagonalLattice2D::parDefs() const final
HexagonalLattice2D::parDefs";

%feature("docstring")  HexagonalLattice2D::length1 "double HexagonalLattice2D::length1() const override
HexagonalLattice2D::length1";

%feature("docstring")  HexagonalLattice2D::length2 "double HexagonalLattice2D::length2() const override
HexagonalLattice2D::length2";

%feature("docstring")  HexagonalLattice2D::latticeAngle "double HexagonalLattice2D::latticeAngle() const override
HexagonalLattice2D::latticeAngle";

%feature("docstring")  HexagonalLattice2D::unitCellArea "double HexagonalLattice2D::unitCellArea() const override
HexagonalLattice2D::unitCellArea";

%feature("docstring")  HexagonalLattice2D::validate "std::string HexagonalLattice2D::validate() const override
HexagonalLattice2D::validate";


// File: classHorizontalCylinder.xml
%feature("docstring") HorizontalCylinder "

A circular cylinder.

C++ includes: HorizontalCylinder.h
";

%feature("docstring")  HorizontalCylinder::HorizontalCylinder "HorizontalCylinder::HorizontalCylinder(double radius, double length, double slice_bottom, double slice_top)
HorizontalCylinder::HorizontalCylinder";

%feature("docstring")  HorizontalCylinder::HorizontalCylinder "HorizontalCylinder::HorizontalCylinder(double radius, double length)
HorizontalCylinder::HorizontalCylinder";


// File: classIcosahedron.xml
%feature("docstring") Icosahedron "

A regular icosahedron.

C++ includes: Icosahedron.h
";

%feature("docstring")  Icosahedron::Icosahedron "Icosahedron::Icosahedron(double edge)
Icosahedron::Icosahedron";


// File: classIdentityRotation.xml
%feature("docstring") IdentityRotation "

The identity rotation, which leaves everything in place.

C++ includes: Rotations.h
";

%feature("docstring")  IdentityRotation::IdentityRotation "IdentityRotation::IdentityRotation()
IdentityRotation::IdentityRotation";

%feature("docstring")  IdentityRotation::clone "IdentityRotation * IdentityRotation::clone() const override
IdentityRotation::clone";

%feature("docstring")  IdentityRotation::className "std::string IdentityRotation::className() const final
IdentityRotation::className";

%feature("docstring")  IdentityRotation::createInverse "IdentityRotation * IdentityRotation::createInverse() const override
IdentityRotation::createInverse";

%feature("docstring")  IdentityRotation::rotMatrix "RotMatrix IdentityRotation::rotMatrix() const override
IdentityRotation::rotMatrix";

%feature("docstring")  IdentityRotation::isIdentity "bool IdentityRotation::isIdentity() const override
IdentityRotation::isIdentity";


// File: classIInterference.xml
%feature("docstring") IInterference "

Abstract base class of interference functions.

C++ includes: IInterference.h
";

%feature("docstring")  IInterference::clone "IInterference * IInterference::clone() const override=0
IInterference::clone";

%feature("docstring")  IInterference::structureFactor "double IInterference::structureFactor(R3 q, double outer_iff=1.0) const
IInterference::structureFactor
The interference function for a given wavevector transfer. 
";

%feature("docstring")  IInterference::setPositionVariance "void IInterference::setPositionVariance(double var)
IInterference::setPositionVariance
Sets the variance of the position for the calculation of the DW factor It is defined as the variance in each relevant dimension 
";

%feature("docstring")  IInterference::positionVariance "double IInterference::positionVariance() const
IInterference::positionVariance
Returns the position variance. 
";

%feature("docstring")  IInterference::particleDensity "virtual double IInterference::particleDensity() const
IInterference::particleDensity
If defined by this interference function's parameters, returns the particle density (per area). Otherwise, returns zero or a user-defined value 
";

%feature("docstring")  IInterference::supportsMultilayer "virtual bool IInterference::supportsMultilayer() const
IInterference::supportsMultilayer
Indicates if this interference function can be used with a sample (DWBA mode) 
";

%feature("docstring")  IInterference::DWfactor "double IInterference::DWfactor(R3 q) const
IInterference::DWfactor
structureFactors the Debye-Waller factor for a given wavevector transfer 
";


// File: classIMaterialImpl.xml
%feature("docstring") IMaterialImpl "

Basic implementation for magnetized material. Inherited by  RefractiveMaterialImpl and  MaterialBySLDImpl. Incorporates data and methods required to handle material magnetization.

C++ includes: IMaterialImpl.h
";

%feature("docstring")  IMaterialImpl::IMaterialImpl "IMaterialImpl::IMaterialImpl(const std::string &name, R3 magnetization)
IMaterialImpl::IMaterialImpl
Constructs basic material with name and magnetization. 
";

%feature("docstring")  IMaterialImpl::~IMaterialImpl "virtual IMaterialImpl::~IMaterialImpl()=default
IMaterialImpl::~IMaterialImpl";

%feature("docstring")  IMaterialImpl::clone "virtual IMaterialImpl * IMaterialImpl::clone() const =0
IMaterialImpl::clone
Returns pointer to a copy of material. 
";

%feature("docstring")  IMaterialImpl::inverted "IMaterialImpl * IMaterialImpl::inverted() const
IMaterialImpl::inverted
Constructs a material with inverted magnetization. 
";

%feature("docstring")  IMaterialImpl::refractiveIndex "virtual complex_t IMaterialImpl::refractiveIndex(double wavelength) const =0
IMaterialImpl::refractiveIndex
Returns refractive index. 
";

%feature("docstring")  IMaterialImpl::refractiveIndex2 "virtual complex_t IMaterialImpl::refractiveIndex2(double wavelength) const =0
IMaterialImpl::refractiveIndex2
Returns squared refractive index. 
";

%feature("docstring")  IMaterialImpl::materialData "virtual complex_t IMaterialImpl::materialData() const =0
IMaterialImpl::materialData
Returns underlying material data. 
";

%feature("docstring")  IMaterialImpl::typeID "virtual MATERIAL_TYPES IMaterialImpl::typeID() const =0
IMaterialImpl::typeID
Returns type of material implementation. 
";

%feature("docstring")  IMaterialImpl::scalarSubtrSLD "virtual complex_t IMaterialImpl::scalarSubtrSLD(double lambda0) const =0
IMaterialImpl::scalarSubtrSLD
Returns (  $ \\\\pi/\\\\lambda^2 $ - sld), sld being the scattering length density. 
";

%feature("docstring")  IMaterialImpl::isScalarMaterial "bool IMaterialImpl::isScalarMaterial() const
IMaterialImpl::isScalarMaterial
Indicates whether the interaction with the material is scalar. This means that different polarization states will be diffracted equally 
";

%feature("docstring")  IMaterialImpl::isMagneticMaterial "bool IMaterialImpl::isMagneticMaterial() const
IMaterialImpl::isMagneticMaterial";

%feature("docstring")  IMaterialImpl::magnetization "R3 IMaterialImpl::magnetization() const
IMaterialImpl::magnetization
Returns the magnetization (in A/m) 
";

%feature("docstring")  IMaterialImpl::polarizedSubtrSLD "SpinMatrix IMaterialImpl::polarizedSubtrSLD(const WavevectorInfo &wavevectors) const
IMaterialImpl::polarizedSubtrSLD
Returns (  $ \\\\pi/\\\\lambda^2 $ - sld) matrix with magnetization corrections. 
";

%feature("docstring")  IMaterialImpl::rotatedMaterial "IMaterialImpl * IMaterialImpl::rotatedMaterial(const RotMatrix &transform) const
IMaterialImpl::rotatedMaterial";

%feature("docstring")  IMaterialImpl::print "virtual std::string IMaterialImpl::print() const =0
IMaterialImpl::print
Prints object data. 
";

%feature("docstring")  IMaterialImpl::matName "const std::string & IMaterialImpl::matName() const
IMaterialImpl::matName
Returns name of the material. 
";


// File: classInterference1DLattice.xml
%feature("docstring") Interference1DLattice "

Interference function of a 1D lattice.

C++ includes: Interference1DLattice.h
";

%feature("docstring")  Interference1DLattice::Interference1DLattice "Interference1DLattice::Interference1DLattice(double length, double xi)
Interference1DLattice::Interference1DLattice
Constructor of interference function of one-dimensional lattice.

Parameters:
-----------

length: 
lattice constant in nanometers

xi: 
rotation of lattice with respect to x-axis in radians 
";

%feature("docstring")  Interference1DLattice::~Interference1DLattice "Interference1DLattice::~Interference1DLattice() override
Interference1DLattice::~Interference1DLattice";

%feature("docstring")  Interference1DLattice::clone "Interference1DLattice * Interference1DLattice::clone() const override
Interference1DLattice::clone";

%feature("docstring")  Interference1DLattice::className "std::string Interference1DLattice::className() const final
Interference1DLattice::className";

%feature("docstring")  Interference1DLattice::parDefs "std::vector< ParaMeta > Interference1DLattice::parDefs() const final
Interference1DLattice::parDefs";

%feature("docstring")  Interference1DLattice::setDecayFunction "void Interference1DLattice::setDecayFunction(const IProfile1D &decay)
Interference1DLattice::setDecayFunction
Sets one-dimensional decay function.

Parameters:
-----------

decay: 
one-dimensional decay function in reciprocal space 
";

%feature("docstring")  Interference1DLattice::length "double Interference1DLattice::length() const
Interference1DLattice::length";

%feature("docstring")  Interference1DLattice::xi "double Interference1DLattice::xi() const
Interference1DLattice::xi";

%feature("docstring")  Interference1DLattice::nodeChildren "std::vector< const INode * > Interference1DLattice::nodeChildren() const override
Interference1DLattice::nodeChildren";

%feature("docstring")  Interference1DLattice::validate "std::string Interference1DLattice::validate() const override
Interference1DLattice::validate";


// File: classInterference2DLattice.xml
%feature("docstring") Interference2DLattice "

Interference function of a 2D lattice.

C++ includes: Interference2DLattice.h
";

%feature("docstring")  Interference2DLattice::Interference2DLattice "Interference2DLattice::Interference2DLattice(const Lattice2D &lattice)
Interference2DLattice::Interference2DLattice";

%feature("docstring")  Interference2DLattice::~Interference2DLattice "Interference2DLattice::~Interference2DLattice() override
Interference2DLattice::~Interference2DLattice";

%feature("docstring")  Interference2DLattice::clone "Interference2DLattice * Interference2DLattice::clone() const override
Interference2DLattice::clone";

%feature("docstring")  Interference2DLattice::className "std::string Interference2DLattice::className() const final
Interference2DLattice::className";

%feature("docstring")  Interference2DLattice::setDecayFunction "void Interference2DLattice::setDecayFunction(const IProfile2D &decay)
Interference2DLattice::setDecayFunction
Sets two-dimensional decay function.

Parameters:
-----------

decay: 
two-dimensional decay function in reciprocal space 
";

%feature("docstring")  Interference2DLattice::setIntegrationOverXi "void Interference2DLattice::setIntegrationOverXi(bool integrate_xi)
Interference2DLattice::setIntegrationOverXi";

%feature("docstring")  Interference2DLattice::integrationOverXi "bool Interference2DLattice::integrationOverXi() const
Interference2DLattice::integrationOverXi";

%feature("docstring")  Interference2DLattice::lattice "const Lattice2D & Interference2DLattice::lattice() const
Interference2DLattice::lattice";

%feature("docstring")  Interference2DLattice::particleDensity "double Interference2DLattice::particleDensity() const override
Interference2DLattice::particleDensity
Returns the particle density associated with this 2d lattice. 
";

%feature("docstring")  Interference2DLattice::nodeChildren "std::vector< const INode * > Interference2DLattice::nodeChildren() const override
Interference2DLattice::nodeChildren";


// File: classInterference2DParacrystal.xml
%feature("docstring") Interference2DParacrystal "

Interference function of a 2D paracrystal.

C++ includes: Interference2DParacrystal.h
";

%feature("docstring")  Interference2DParacrystal::Interference2DParacrystal "Interference2DParacrystal::Interference2DParacrystal(const Lattice2D &lattice, double damping_length, double domain_size_1, double domain_size_2)
Interference2DParacrystal::Interference2DParacrystal";

%feature("docstring")  Interference2DParacrystal::~Interference2DParacrystal "Interference2DParacrystal::~Interference2DParacrystal() override
Interference2DParacrystal::~Interference2DParacrystal";

%feature("docstring")  Interference2DParacrystal::clone "Interference2DParacrystal * Interference2DParacrystal::clone() const override
Interference2DParacrystal::clone";

%feature("docstring")  Interference2DParacrystal::className "std::string Interference2DParacrystal::className() const final
Interference2DParacrystal::className";

%feature("docstring")  Interference2DParacrystal::parDefs "std::vector< ParaMeta > Interference2DParacrystal::parDefs() const final
Interference2DParacrystal::parDefs";

%feature("docstring")  Interference2DParacrystal::setDomainSizes "void Interference2DParacrystal::setDomainSizes(double size_1, double size_2)
Interference2DParacrystal::setDomainSizes
Sets the sizes of coherence domains.

Parameters:
-----------

size_1: 
coherence domain size along the first basis vector in nanometers

size_2: 
coherence domain size along the second basis vector in nanometers 
";

%feature("docstring")  Interference2DParacrystal::setProbabilityDistributions "void Interference2DParacrystal::setProbabilityDistributions(const IProfile2D &pdf_1, const IProfile2D &pdf_2)
Interference2DParacrystal::setProbabilityDistributions
Sets the probability distributions (Fourier transformed) for the two lattice directions.

Parameters:
-----------

pdf_1: 
probability distribution in first lattice direction

pdf_2: 
probability distribution in second lattice direction 
";

%feature("docstring")  Interference2DParacrystal::setDampingLength "void Interference2DParacrystal::setDampingLength(double damping_length)
Interference2DParacrystal::setDampingLength
Sets the damping length.

Parameters:
-----------

damping_length: 
the damping (coherence) length of the paracrystal in nanometers 
";

%feature("docstring")  Interference2DParacrystal::domainSizes "std::vector< double > Interference2DParacrystal::domainSizes() const
Interference2DParacrystal::domainSizes";

%feature("docstring")  Interference2DParacrystal::setIntegrationOverXi "void Interference2DParacrystal::setIntegrationOverXi(bool integrate_xi)
Interference2DParacrystal::setIntegrationOverXi
Enables/disables averaging over the lattice rotation angle.

Parameters:
-----------

integrate_xi: 
integration flag 
";

%feature("docstring")  Interference2DParacrystal::integrationOverXi "bool Interference2DParacrystal::integrationOverXi() const
Interference2DParacrystal::integrationOverXi";

%feature("docstring")  Interference2DParacrystal::dampingLength "double Interference2DParacrystal::dampingLength() const
Interference2DParacrystal::dampingLength";

%feature("docstring")  Interference2DParacrystal::lattice "const Lattice2D & Interference2DParacrystal::lattice() const
Interference2DParacrystal::lattice";

%feature("docstring")  Interference2DParacrystal::particleDensity "double Interference2DParacrystal::particleDensity() const override
Interference2DParacrystal::particleDensity
If defined by this interference function's parameters, returns the particle density (per area). Otherwise, returns zero or a user-defined value 
";

%feature("docstring")  Interference2DParacrystal::nodeChildren "std::vector< const INode * > Interference2DParacrystal::nodeChildren() const override
Interference2DParacrystal::nodeChildren";

%feature("docstring")  Interference2DParacrystal::pdf1 "const IProfile2D * Interference2DParacrystal::pdf1() const
Interference2DParacrystal::pdf1";

%feature("docstring")  Interference2DParacrystal::pdf2 "const IProfile2D * Interference2DParacrystal::pdf2() const
Interference2DParacrystal::pdf2";

%feature("docstring")  Interference2DParacrystal::validate "std::string Interference2DParacrystal::validate() const override
Interference2DParacrystal::validate";


// File: classInterference2DSuperLattice.xml
%feature("docstring") Interference2DSuperLattice "

Interference function of a 2D superlattice with a configurable interference function for each lattice site.

C++ includes: Interference2DSuperLattice.h
";

%feature("docstring")  Interference2DSuperLattice::Interference2DSuperLattice "Interference2DSuperLattice::Interference2DSuperLattice(const Lattice2D &lattice, unsigned size_1, unsigned size_2)
Interference2DSuperLattice::Interference2DSuperLattice";

%feature("docstring")  Interference2DSuperLattice::Interference2DSuperLattice "Interference2DSuperLattice::Interference2DSuperLattice(double length_1, double length_2, double alpha, double xi, unsigned size_1, unsigned size_2)
Interference2DSuperLattice::Interference2DSuperLattice
Constructor of two-dimensional interference function.

Parameters:
-----------

length_1: 
length of first lattice vector in nanometers

length_2: 
length of second lattice vector in nanometers

alpha: 
angle between lattice vectors in radians

xi: 
rotation of lattice with respect to x-axis (beam direction) in radians

size_1: 
correlation length in direction 1

size_2: 
correlation length in direction 2 
";

%feature("docstring")  Interference2DSuperLattice::~Interference2DSuperLattice "Interference2DSuperLattice::~Interference2DSuperLattice() override
Interference2DSuperLattice::~Interference2DSuperLattice";

%feature("docstring")  Interference2DSuperLattice::clone "Interference2DSuperLattice * Interference2DSuperLattice::clone() const override
Interference2DSuperLattice::clone";

%feature("docstring")  Interference2DSuperLattice::className "std::string Interference2DSuperLattice::className() const final
Interference2DSuperLattice::className";

%feature("docstring")  Interference2DSuperLattice::parDefs "std::vector< ParaMeta > Interference2DSuperLattice::parDefs() const final
Interference2DSuperLattice::parDefs";

%feature("docstring")  Interference2DSuperLattice::setSubstructureIFF "void Interference2DSuperLattice::setSubstructureIFF(const IInterference &sub_iff)
Interference2DSuperLattice::setSubstructureIFF";

%feature("docstring")  Interference2DSuperLattice::substructureIFF "const IInterference & Interference2DSuperLattice::substructureIFF() const
Interference2DSuperLattice::substructureIFF";

%feature("docstring")  Interference2DSuperLattice::structureFactor "double Interference2DSuperLattice::structureFactor(R3 q, double outer_iff=1.0) const override
Interference2DSuperLattice::structureFactor
The interference function for a given wavevector transfer. 
";

%feature("docstring")  Interference2DSuperLattice::domainSize1 "unsigned Interference2DSuperLattice::domainSize1() const
Interference2DSuperLattice::domainSize1";

%feature("docstring")  Interference2DSuperLattice::domainSize2 "unsigned Interference2DSuperLattice::domainSize2() const
Interference2DSuperLattice::domainSize2";

%feature("docstring")  Interference2DSuperLattice::setIntegrationOverXi "void Interference2DSuperLattice::setIntegrationOverXi(bool integrate_xi)
Interference2DSuperLattice::setIntegrationOverXi";

%feature("docstring")  Interference2DSuperLattice::integrationOverXi "bool Interference2DSuperLattice::integrationOverXi() const
Interference2DSuperLattice::integrationOverXi";

%feature("docstring")  Interference2DSuperLattice::lattice "const Lattice2D & Interference2DSuperLattice::lattice() const
Interference2DSuperLattice::lattice";

%feature("docstring")  Interference2DSuperLattice::nodeChildren "std::vector< const INode * > Interference2DSuperLattice::nodeChildren() const override
Interference2DSuperLattice::nodeChildren";


// File: classInterferenceFinite2DLattice.xml
%feature("docstring") InterferenceFinite2DLattice "

Interference function of a finite 2D lattice.

C++ includes: InterferenceFinite2DLattice.h
";

%feature("docstring")  InterferenceFinite2DLattice::InterferenceFinite2DLattice "InterferenceFinite2DLattice::InterferenceFinite2DLattice(const Lattice2D &lattice, unsigned N_1, unsigned N_2)
InterferenceFinite2DLattice::InterferenceFinite2DLattice
Constructor of two-dimensional finite lattice interference function.

Parameters:
-----------

lattice: 
object specifying a 2d lattice structure

N_1: 
number of lattice cells in the first lattice direction

N_2: 
number of lattice cells in the second lattice direction 
";

%feature("docstring")  InterferenceFinite2DLattice::~InterferenceFinite2DLattice "InterferenceFinite2DLattice::~InterferenceFinite2DLattice() override
InterferenceFinite2DLattice::~InterferenceFinite2DLattice";

%feature("docstring")  InterferenceFinite2DLattice::clone "InterferenceFinite2DLattice * InterferenceFinite2DLattice::clone() const override
InterferenceFinite2DLattice::clone";

%feature("docstring")  InterferenceFinite2DLattice::className "std::string InterferenceFinite2DLattice::className() const final
InterferenceFinite2DLattice::className";

%feature("docstring")  InterferenceFinite2DLattice::numberUnitCells1 "unsigned InterferenceFinite2DLattice::numberUnitCells1() const
InterferenceFinite2DLattice::numberUnitCells1";

%feature("docstring")  InterferenceFinite2DLattice::numberUnitCells2 "unsigned InterferenceFinite2DLattice::numberUnitCells2() const
InterferenceFinite2DLattice::numberUnitCells2";

%feature("docstring")  InterferenceFinite2DLattice::setIntegrationOverXi "void InterferenceFinite2DLattice::setIntegrationOverXi(bool integrate_xi)
InterferenceFinite2DLattice::setIntegrationOverXi";

%feature("docstring")  InterferenceFinite2DLattice::integrationOverXi "bool InterferenceFinite2DLattice::integrationOverXi() const
InterferenceFinite2DLattice::integrationOverXi";

%feature("docstring")  InterferenceFinite2DLattice::lattice "const Lattice2D & InterferenceFinite2DLattice::lattice() const
InterferenceFinite2DLattice::lattice";

%feature("docstring")  InterferenceFinite2DLattice::particleDensity "double InterferenceFinite2DLattice::particleDensity() const override
InterferenceFinite2DLattice::particleDensity
Returns the particle density associated with this 2d lattice. 
";

%feature("docstring")  InterferenceFinite2DLattice::nodeChildren "std::vector< const INode * > InterferenceFinite2DLattice::nodeChildren() const override
InterferenceFinite2DLattice::nodeChildren";


// File: classInterferenceHardDisk.xml
%feature("docstring") InterferenceHardDisk "

Percus-Yevick hard disk interference function.

M.S. Ripoll & C.F. Tejero (1995) Approximate analytical expression for the direct correlation function of hard discs within the Percus-Yevick equation, Molecular Physics, 85:2, 423-428, DOI: 10.1080/00268979500101211

C++ includes: InterferenceHardDisk.h
";

%feature("docstring")  InterferenceHardDisk::InterferenceHardDisk "InterferenceHardDisk::InterferenceHardDisk(double radius, double density, double position_var=0)
InterferenceHardDisk::InterferenceHardDisk";

%feature("docstring")  InterferenceHardDisk::~InterferenceHardDisk "InterferenceHardDisk::~InterferenceHardDisk() override=default
InterferenceHardDisk::~InterferenceHardDisk";

%feature("docstring")  InterferenceHardDisk::parDefs "std::vector< ParaMeta > InterferenceHardDisk::parDefs() const final
InterferenceHardDisk::parDefs";

%feature("docstring")  InterferenceHardDisk::clone "InterferenceHardDisk * InterferenceHardDisk::clone() const override
InterferenceHardDisk::clone";

%feature("docstring")  InterferenceHardDisk::className "std::string InterferenceHardDisk::className() const final
InterferenceHardDisk::className";

%feature("docstring")  InterferenceHardDisk::particleDensity "double InterferenceHardDisk::particleDensity() const override
InterferenceHardDisk::particleDensity
If defined by this interference function's parameters, returns the particle density (per area). Otherwise, returns zero or a user-defined value 
";

%feature("docstring")  InterferenceHardDisk::radius "double InterferenceHardDisk::radius() const
InterferenceHardDisk::radius";

%feature("docstring")  InterferenceHardDisk::density "double InterferenceHardDisk::density() const
InterferenceHardDisk::density";

%feature("docstring")  InterferenceHardDisk::validate "std::string InterferenceHardDisk::validate() const override
InterferenceHardDisk::validate";


// File: classInterferenceNone.xml
%feature("docstring") InterferenceNone "

Default interference function (i.e. absence of any interference).

C++ includes: InterferenceNone.h
";

%feature("docstring")  InterferenceNone::InterferenceNone "InterferenceNone::InterferenceNone()
InterferenceNone::InterferenceNone";

%feature("docstring")  InterferenceNone::clone "InterferenceNone * InterferenceNone::clone() const override
InterferenceNone::clone";

%feature("docstring")  InterferenceNone::className "std::string InterferenceNone::className() const final
InterferenceNone::className";


// File: classInterferenceRadialParacrystal.xml
%feature("docstring") InterferenceRadialParacrystal "

Interference function of radial paracrystal.

C++ includes: InterferenceRadialParacrystal.h
";

%feature("docstring")  InterferenceRadialParacrystal::InterferenceRadialParacrystal "InterferenceRadialParacrystal::InterferenceRadialParacrystal(double peak_distance, double damping_length)
InterferenceRadialParacrystal::InterferenceRadialParacrystal
Constructor of interference function of radial paracrystal.

Parameters:
-----------

peak_distance: 
average distance to the next neighbor in nanometers

damping_length: 
the damping (coherence) length of the paracrystal in nanometers 
";

%feature("docstring")  InterferenceRadialParacrystal::clone "InterferenceRadialParacrystal * InterferenceRadialParacrystal::clone() const override
InterferenceRadialParacrystal::clone";

%feature("docstring")  InterferenceRadialParacrystal::className "std::string InterferenceRadialParacrystal::className() const final
InterferenceRadialParacrystal::className";

%feature("docstring")  InterferenceRadialParacrystal::parDefs "std::vector< ParaMeta > InterferenceRadialParacrystal::parDefs() const final
InterferenceRadialParacrystal::parDefs";

%feature("docstring")  InterferenceRadialParacrystal::setKappa "void InterferenceRadialParacrystal::setKappa(double kappa)
InterferenceRadialParacrystal::setKappa
Sets size spacing coupling parameter of the Size Spacing Correlation Approximation. 
";

%feature("docstring")  InterferenceRadialParacrystal::kappa "double InterferenceRadialParacrystal::kappa() const
InterferenceRadialParacrystal::kappa";

%feature("docstring")  InterferenceRadialParacrystal::setDomainSize "void InterferenceRadialParacrystal::setDomainSize(double size)
InterferenceRadialParacrystal::setDomainSize
Sets domain size (finite size corrections).

Parameters:
-----------

size: 
size of coherence domain along the lattice main axis in nanometers 
";

%feature("docstring")  InterferenceRadialParacrystal::domainSize "double InterferenceRadialParacrystal::domainSize() const
InterferenceRadialParacrystal::domainSize";

%feature("docstring")  InterferenceRadialParacrystal::FTPDF "complex_t InterferenceRadialParacrystal::FTPDF(double qpar) const
InterferenceRadialParacrystal::FTPDF";

%feature("docstring")  InterferenceRadialParacrystal::setProbabilityDistribution "void InterferenceRadialParacrystal::setProbabilityDistribution(const IProfile1D &pdf)
InterferenceRadialParacrystal::setProbabilityDistribution
Sets one-dimensional probability distribution.

Parameters:
-----------

pdf: 
probability distribution (Fourier transform of probability density) 
";

%feature("docstring")  InterferenceRadialParacrystal::peakDistance "double InterferenceRadialParacrystal::peakDistance() const
InterferenceRadialParacrystal::peakDistance";

%feature("docstring")  InterferenceRadialParacrystal::dampingLength "double InterferenceRadialParacrystal::dampingLength() const
InterferenceRadialParacrystal::dampingLength";

%feature("docstring")  InterferenceRadialParacrystal::nodeChildren "std::vector< const INode * > InterferenceRadialParacrystal::nodeChildren() const override
InterferenceRadialParacrystal::nodeChildren";

%feature("docstring")  InterferenceRadialParacrystal::randomSample "double InterferenceRadialParacrystal::randomSample() const
InterferenceRadialParacrystal::randomSample";

%feature("docstring")  InterferenceRadialParacrystal::validate "std::string InterferenceRadialParacrystal::validate() const override
InterferenceRadialParacrystal::validate";


// File: classISelectionRule.xml
%feature("docstring") ISelectionRule "

Abstract base class for selection rules.

C++ includes: ISelectionRule.h
";

%feature("docstring")  ISelectionRule::~ISelectionRule "virtual ISelectionRule::~ISelectionRule()=default
ISelectionRule::~ISelectionRule";

%feature("docstring")  ISelectionRule::clone "virtual ISelectionRule * ISelectionRule::clone() const =0
ISelectionRule::clone";

%feature("docstring")  ISelectionRule::coordinateSelected "virtual bool ISelectionRule::coordinateSelected(const I3 &coordinate) const =0
ISelectionRule::coordinateSelected";


// File: classLattice2D.xml
%feature("docstring") Lattice2D "

A two-dimensional Bravais lattice.

C++ includes: Lattice2D.h
";

%feature("docstring")  Lattice2D::Lattice2D "Lattice2D::Lattice2D(const std::vector< double > &PValues)
Lattice2D::Lattice2D";

%feature("docstring")  Lattice2D::Lattice2D "Lattice2D::Lattice2D(double xi)
Lattice2D::Lattice2D";

%feature("docstring")  Lattice2D::clone "Lattice2D * Lattice2D::clone() const override=0
Lattice2D::clone";

%feature("docstring")  Lattice2D::length1 "virtual double Lattice2D::length1() const =0
Lattice2D::length1";

%feature("docstring")  Lattice2D::length2 "virtual double Lattice2D::length2() const =0
Lattice2D::length2";

%feature("docstring")  Lattice2D::latticeAngle "virtual double Lattice2D::latticeAngle() const =0
Lattice2D::latticeAngle";

%feature("docstring")  Lattice2D::unitCellArea "virtual double Lattice2D::unitCellArea() const =0
Lattice2D::unitCellArea";

%feature("docstring")  Lattice2D::rotationAngle "double Lattice2D::rotationAngle() const
Lattice2D::rotationAngle";

%feature("docstring")  Lattice2D::reciprocalBases "Lattice2D::ReciprocalBases Lattice2D::reciprocalBases() const
Lattice2D::reciprocalBases";

%feature("docstring")  Lattice2D::setRotationEnabled "void Lattice2D::setRotationEnabled(bool enabled)
Lattice2D::setRotationEnabled";


// File: classLattice3D.xml
%feature("docstring") Lattice3D "

A Bravais lattice, characterized by three basis vectors, and optionally an  ISelectionRule.

C++ includes: Lattice3D.h
";

%feature("docstring")  Lattice3D::Lattice3D "Lattice3D::Lattice3D(R3 a, R3 b, R3 c)
Lattice3D::Lattice3D";

%feature("docstring")  Lattice3D::Lattice3D "Lattice3D::Lattice3D(const Lattice3D &lattice)
Lattice3D::Lattice3D";

%feature("docstring")  Lattice3D::~Lattice3D "Lattice3D::~Lattice3D() override
Lattice3D::~Lattice3D";

%feature("docstring")  Lattice3D::className "std::string Lattice3D::className() const final
Lattice3D::className";

%feature("docstring")  Lattice3D::rotated "Lattice3D Lattice3D::rotated(const RotMatrix &rotMatrix) const
Lattice3D::rotated
Creates rotated lattice. 
";

%feature("docstring")  Lattice3D::basisVectorA "R3 Lattice3D::basisVectorA() const
Lattice3D::basisVectorA
Returns basis vector a. 
";

%feature("docstring")  Lattice3D::basisVectorB "R3 Lattice3D::basisVectorB() const
Lattice3D::basisVectorB
Returns basis vector b. 
";

%feature("docstring")  Lattice3D::basisVectorC "R3 Lattice3D::basisVectorC() const
Lattice3D::basisVectorC
Returns basis vector c. 
";

%feature("docstring")  Lattice3D::getMillerDirection "R3 Lattice3D::getMillerDirection(double h, double k, double l) const
Lattice3D::getMillerDirection
Returns normalized direction corresponding to the given Miller indices.

Currently unused but may be useful for checks. 
";

%feature("docstring")  Lattice3D::unitCellVolume "double Lattice3D::unitCellVolume() const
Lattice3D::unitCellVolume
Returns the volume of the unit cell. 
";

%feature("docstring")  Lattice3D::reciprocalLatticeBasis "void Lattice3D::reciprocalLatticeBasis(R3 &ra, R3 &rb, R3 &rc) const
Lattice3D::reciprocalLatticeBasis
Returns the reciprocal basis vectors.

Currently only used in tests. 
";

%feature("docstring")  Lattice3D::nearestReciprocalLatticeVectorCoordinates "I3 Lattice3D::nearestReciprocalLatticeVectorCoordinates(R3 q) const
Lattice3D::nearestReciprocalLatticeVectorCoordinates
Returns the nearest reciprocal lattice point from a given vector. 
";

%feature("docstring")  Lattice3D::reciprocalLatticeVectorsWithinRadius "std::vector< R3 > Lattice3D::reciprocalLatticeVectorsWithinRadius(R3 q, double dq) const
Lattice3D::reciprocalLatticeVectorsWithinRadius
Returns a list of reciprocal lattice vectors within distance dq of a vector q. 
";

%feature("docstring")  Lattice3D::setSelectionRule "void Lattice3D::setSelectionRule(const ISelectionRule &selection_rule)
Lattice3D::setSelectionRule
Sets a selection rule for the reciprocal vectors. 
";


// File: classLayer.xml
%feature("docstring") Layer "

A layer in a  MultiLayer sample.

C++ includes: Layer.h
";

%feature("docstring")  Layer::Layer "Layer::Layer(Material material, double thickness=0)
Layer::Layer
Constructor of a layer with thickness and material

Parameters:
-----------

material: 
material the layer is made of

thickness: 
thickness of a layer in nanometers 
";

%feature("docstring")  Layer::~Layer "Layer::~Layer() override
Layer::~Layer";

%feature("docstring")  Layer::clone "Layer * Layer::clone() const override
Layer::clone";

%feature("docstring")  Layer::className "std::string Layer::className() const final
Layer::className";

%feature("docstring")  Layer::parDefs "std::vector< ParaMeta > Layer::parDefs() const final
Layer::parDefs";

%feature("docstring")  Layer::nodeChildren "std::vector< const INode * > Layer::nodeChildren() const override
Layer::nodeChildren";

%feature("docstring")  Layer::material "const Material * Layer::material() const override
Layer::material";

%feature("docstring")  Layer::thickness "double Layer::thickness() const
Layer::thickness";

%feature("docstring")  Layer::addLayout "void Layer::addLayout(const ParticleLayout &layout)
Layer::addLayout";

%feature("docstring")  Layer::numberOfLayouts "size_t Layer::numberOfLayouts() const
Layer::numberOfLayouts";

%feature("docstring")  Layer::layouts "std::vector< const ParticleLayout * > Layer::layouts() const
Layer::layouts";

%feature("docstring")  Layer::setNumberOfSlices "void Layer::setNumberOfSlices(unsigned int n_slices)
Layer::setNumberOfSlices";

%feature("docstring")  Layer::numberOfSlices "unsigned int Layer::numberOfSlices() const
Layer::numberOfSlices";

%feature("docstring")  Layer::validate "std::string Layer::validate() const override
Layer::validate";


// File: classLayerRoughness.xml
%feature("docstring") LayerRoughness "

A roughness of interface between two layers.

Based on the article \"X-ray reflection and transmission by rough surfaces\" by D. K. G. de Boer, Physical Review B 51, 5297 (1995)

C++ includes: LayerRoughness.h
";

%feature("docstring")  LayerRoughness::LayerRoughness "LayerRoughness::LayerRoughness(double sigma, double hurstParameter=0, double lateralCorrLength=0)
LayerRoughness::LayerRoughness
Constructor of layer roughness.

Parameters:
-----------

sigma: 
rms of the roughness in nanometers

hurstParameter: 
hurst parameter which describes how jagged the interface, dimensionless [0.0, 1.0], where 0.0 gives more spikes, 1.0 more smoothness

lateralCorrLength: 
lateral correlation length of the roughness in nanometers 
";

%feature("docstring")  LayerRoughness::LayerRoughness "LayerRoughness::LayerRoughness()
LayerRoughness::LayerRoughness";

%feature("docstring")  LayerRoughness::clone "LayerRoughness * LayerRoughness::clone() const override
LayerRoughness::clone";

%feature("docstring")  LayerRoughness::className "std::string LayerRoughness::className() const final
LayerRoughness::className";

%feature("docstring")  LayerRoughness::parDefs "std::vector< ParaMeta > LayerRoughness::parDefs() const final
LayerRoughness::parDefs";

%feature("docstring")  LayerRoughness::spectralFunction "double LayerRoughness::spectralFunction(R3 kvec) const
LayerRoughness::spectralFunction
Returns power spectral density of the surface roughness.

Power spectral density of the surface roughness is a result of two-dimensional Fourier transform of the correlation function of the roughness profile.

Based on the article D.K.G. de Boer, Physical review B, Volume 51, Number 8, 15 February 1995 \"X-ray reflection and transmission by rough surfaces\" 
";

%feature("docstring")  LayerRoughness::corrFunction "double LayerRoughness::corrFunction(R3 k) const
LayerRoughness::corrFunction
Correlation function of the roughness profile. 
";

%feature("docstring")  LayerRoughness::setSigma "void LayerRoughness::setSigma(double sigma)
LayerRoughness::setSigma
Sets rms of roughness. 
";

%feature("docstring")  LayerRoughness::sigma "double LayerRoughness::sigma() const
LayerRoughness::sigma
Returns rms of roughness. 
";

%feature("docstring")  LayerRoughness::setHurstParameter "void LayerRoughness::setHurstParameter(double hurstParameter)
LayerRoughness::setHurstParameter
Sets hurst parameter. It describes how jagged the surface is. 
";

%feature("docstring")  LayerRoughness::hurst "double LayerRoughness::hurst() const
LayerRoughness::hurst
Returns hurst parameter. 
";

%feature("docstring")  LayerRoughness::setLatteralCorrLength "void LayerRoughness::setLatteralCorrLength(double lateralCorrLength)
LayerRoughness::setLatteralCorrLength
Sets lateral correlation length. 
";

%feature("docstring")  LayerRoughness::lateralCorrLength "double LayerRoughness::lateralCorrLength() const
LayerRoughness::lateralCorrLength
Returns lateral correlation length. 
";

%feature("docstring")  LayerRoughness::pythonConstructor "std::string LayerRoughness::pythonConstructor() const
LayerRoughness::pythonConstructor
Creates the Python constructor of this class. 
";

%feature("docstring")  LayerRoughness::validate "std::string LayerRoughness::validate() const override
LayerRoughness::validate";


// File: classLongBoxGauss.xml
%feature("docstring") LongBoxGauss "

The form factor for a long rectangular box.

C++ includes: LongBoxGauss.h
";

%feature("docstring")  LongBoxGauss::LongBoxGauss "LongBoxGauss::LongBoxGauss(double length, double width, double height)
LongBoxGauss::LongBoxGauss";


// File: classLongBoxLorentz.xml
%feature("docstring") LongBoxLorentz "

The form factor for a long rectangular box.

C++ includes: LongBoxLorentz.h
";

%feature("docstring")  LongBoxLorentz::LongBoxLorentz "LongBoxLorentz::LongBoxLorentz(double length, double width, double height)
LongBoxLorentz::LongBoxLorentz";


// File: classMaterial.xml
%feature("docstring") Material "

A wrapper for underlying material implementation

C++ includes: Material.h
";

%feature("docstring")  Material::Material "Material::Material(std::unique_ptr< IMaterialImpl > &&material_impl)
Material::Material
Creates material with particular material implementation. 
";

%feature("docstring")  Material::Material "Material::Material(const Material &material)
Material::Material";

%feature("docstring")  Material::Material "Material::Material(Material &&material)=default
Material::Material";

%feature("docstring")  Material::inverted "Material Material::inverted() const
Material::inverted
Constructs a material with inverted magnetization. 
";

%feature("docstring")  Material::refractiveIndex "complex_t Material::refractiveIndex(double wavelength) const
Material::refractiveIndex
Returns refractive index. 
";

%feature("docstring")  Material::refractiveIndex2 "complex_t Material::refractiveIndex2(double wavelength) const
Material::refractiveIndex2
Returns squared refractive index. 
";

%feature("docstring")  Material::isScalarMaterial "bool Material::isScalarMaterial() const
Material::isScalarMaterial
Indicates whether the interaction with the material is scalar. This means that different polarization states will be diffracted equally 
";

%feature("docstring")  Material::isMagneticMaterial "bool Material::isMagneticMaterial() const
Material::isMagneticMaterial";

%feature("docstring")  Material::materialName "std::string Material::materialName() const
Material::materialName
Returns the name of material. 
";

%feature("docstring")  Material::typeID "MATERIAL_TYPES Material::typeID() const
Material::typeID
Returns the type of underlying material implementation. 
";

%feature("docstring")  Material::magnetization "R3 Material::magnetization() const
Material::magnetization
Get the magnetization (in A/m) 
";

%feature("docstring")  Material::materialData "complex_t Material::materialData() const
Material::materialData
Returns delta + i beta. 
";

%feature("docstring")  Material::isEmpty "bool Material::isEmpty() const
Material::isEmpty
Returns true if material underlying data is nullptr. 
";

%feature("docstring")  Material::isDefaultMaterial "bool Material::isDefaultMaterial() const
Material::isDefaultMaterial
Returns true if material has refractive index of (1.0, 0.0) and zero magnetization. 
";

%feature("docstring")  Material::scalarSubtrSLD "complex_t Material::scalarSubtrSLD(const WavevectorInfo &wavevectors) const
Material::scalarSubtrSLD
Returns (  $ \\\\pi/\\\\lambda^2 $ - sld), sld (in  $nm^{-2}$) being the scattering length density 
";

%feature("docstring")  Material::polarizedSubtrSLD "SpinMatrix Material::polarizedSubtrSLD(const WavevectorInfo &wavevectors) const
Material::polarizedSubtrSLD
Returns (  $ \\\\pi/\\\\lambda^2 $ - sld) matrix with magnetization corrections. 
";

%feature("docstring")  Material::rotatedMaterial "Material Material::rotatedMaterial(const RotMatrix &transform) const
Material::rotatedMaterial";


// File: classMaterialBySLDImpl.xml
%feature("docstring") MaterialBySLDImpl "

Material implementation based on wavelength-independent data (valid for a range of wavelengths)

C++ includes: MaterialBySLDImpl.h
";

%feature("docstring")  MaterialBySLDImpl::~MaterialBySLDImpl "MaterialBySLDImpl::~MaterialBySLDImpl() override=default
MaterialBySLDImpl::~MaterialBySLDImpl";

%feature("docstring")  MaterialBySLDImpl::clone "MaterialBySLDImpl * MaterialBySLDImpl::clone() const override
MaterialBySLDImpl::clone
Returns pointer to a copy of material. 
";

%feature("docstring")  MaterialBySLDImpl::refractiveIndex "complex_t MaterialBySLDImpl::refractiveIndex(double wavelength) const override
MaterialBySLDImpl::refractiveIndex
Returns refractive index. 
";

%feature("docstring")  MaterialBySLDImpl::refractiveIndex2 "complex_t MaterialBySLDImpl::refractiveIndex2(double wavelength) const override
MaterialBySLDImpl::refractiveIndex2
Returns squared refractive index. 
";

%feature("docstring")  MaterialBySLDImpl::materialData "complex_t MaterialBySLDImpl::materialData() const override
MaterialBySLDImpl::materialData
Returns underlying material data. 
";

%feature("docstring")  MaterialBySLDImpl::typeID "MATERIAL_TYPES MaterialBySLDImpl::typeID() const override
MaterialBySLDImpl::typeID
Returns type of material implementation. 
";

%feature("docstring")  MaterialBySLDImpl::scalarSubtrSLD "complex_t MaterialBySLDImpl::scalarSubtrSLD(double lambda0) const override
MaterialBySLDImpl::scalarSubtrSLD
Returns (  $ \\\\pi/\\\\lambda^2 $ - sld), sld (in  $nm^{-2}$) being the scattering length density 
";

%feature("docstring")  MaterialBySLDImpl::print "std::string MaterialBySLDImpl::print() const override
MaterialBySLDImpl::print
Prints object data. 
";


// File: classMesocrystal.xml
%feature("docstring") Mesocrystal "

A particle with a crystalline inner structure, made of smaller particles, and an outer shape described by a particle form factor.

C++ includes: Mesocrystal.h
";

%feature("docstring")  Mesocrystal::Mesocrystal "Mesocrystal::Mesocrystal(const Crystal &crystal, const IFormFactor &formfactor)
Mesocrystal::Mesocrystal";

%feature("docstring")  Mesocrystal::~Mesocrystal "Mesocrystal::~Mesocrystal() override
Mesocrystal::~Mesocrystal";

%feature("docstring")  Mesocrystal::clone "Mesocrystal * Mesocrystal::clone() const override
Mesocrystal::clone";

%feature("docstring")  Mesocrystal::className "std::string Mesocrystal::className() const final
Mesocrystal::className";

%feature("docstring")  Mesocrystal::nodeChildren "std::vector< const INode * > Mesocrystal::nodeChildren() const override
Mesocrystal::nodeChildren";

%feature("docstring")  Mesocrystal::outerShape "const IFormFactor * Mesocrystal::outerShape() const
Mesocrystal::outerShape";

%feature("docstring")  Mesocrystal::particleStructure "const Crystal & Mesocrystal::particleStructure() const
Mesocrystal::particleStructure";

%feature("docstring")  Mesocrystal::validate "std::string Mesocrystal::validate() const override
Mesocrystal::validate";


// File: classMultiLayer.xml
%feature("docstring") MultiLayer "

Our sample model: a stack of layers one below the other. Example of system of 4 layers (3 interfaces): //! vacuum      layer 0
//! ---------   interface 0    z=0.0
//! Fe, 20A     layer 1
//! ---------   interface 1    z=-20.0
//! Cr, 40A     layer 2
//! ---------   interface 2    z=-60.0
//! substrate   layer 3
//!

C++ includes: MultiLayer.h
";

%feature("docstring")  MultiLayer::MultiLayer "MultiLayer::MultiLayer(std::string name=\"Unnamed\")
MultiLayer::MultiLayer";

%feature("docstring")  MultiLayer::~MultiLayer "MultiLayer::~MultiLayer() override
MultiLayer::~MultiLayer";

%feature("docstring")  MultiLayer::clone "MultiLayer * MultiLayer::clone() const override
MultiLayer::clone";

%feature("docstring")  MultiLayer::className "std::string MultiLayer::className() const final
MultiLayer::className";

%feature("docstring")  MultiLayer::numberOfLayers "size_t MultiLayer::numberOfLayers() const
MultiLayer::numberOfLayers";

%feature("docstring")  MultiLayer::addLayer "void MultiLayer::addLayer(const Layer &layer)
MultiLayer::addLayer
Adds layer with default (zero) roughness. 
";

%feature("docstring")  MultiLayer::addLayerWithTopRoughness "void MultiLayer::addLayerWithTopRoughness(const Layer &layer, const LayerRoughness &roughness)
MultiLayer::addLayerWithTopRoughness
Adds layer with top roughness. 
";

%feature("docstring")  MultiLayer::setRoughnessModel "void MultiLayer::setRoughnessModel(RoughnessModel roughnessModel)
MultiLayer::setRoughnessModel";

%feature("docstring")  MultiLayer::setCrossCorrLength "void MultiLayer::setCrossCorrLength(double crossCorrLength)
MultiLayer::setCrossCorrLength
Sets cross correlation length of roughnesses between interfaces. 
";

%feature("docstring")  MultiLayer::setExternalField "void MultiLayer::setExternalField(R3 ext_field)
MultiLayer::setExternalField
Sets the external field applied to the sample (units: A/m) 
";

%feature("docstring")  MultiLayer::layer "const Layer * MultiLayer::layer(size_t i_layer) const
MultiLayer::layer
Returns layer with given index. 
";

%feature("docstring")  MultiLayer::layerInterface "const LayerInterface * MultiLayer::layerInterface(size_t i_interface) const
MultiLayer::layerInterface
Returns interface with given index. 
";

%feature("docstring")  MultiLayer::roughnessModel "RoughnessModel MultiLayer::roughnessModel() const
MultiLayer::roughnessModel";

%feature("docstring")  MultiLayer::crossCorrLength "double MultiLayer::crossCorrLength() const
MultiLayer::crossCorrLength
Returns cross correlation length of roughnesses between interfaces. 
";

%feature("docstring")  MultiLayer::externalField "R3 MultiLayer::externalField() const
MultiLayer::externalField
Returns the external field applied to the sample (units: A/m) 
";

%feature("docstring")  MultiLayer::nodeChildren "std::vector< const INode * > MultiLayer::nodeChildren() const override
MultiLayer::nodeChildren";

%feature("docstring")  MultiLayer::setSampleName "void MultiLayer::setSampleName(const std::string &name)
MultiLayer::setSampleName";

%feature("docstring")  MultiLayer::sampleName "const std::string & MultiLayer::sampleName() const
MultiLayer::sampleName";

%feature("docstring")  MultiLayer::validate "std::string MultiLayer::validate() const override
MultiLayer::validate";

%feature("docstring")  MultiLayer::zTop "double MultiLayer::zTop(size_t i) const
MultiLayer::zTop
Returns top z coordinate of layer i. 
";

%feature("docstring")  MultiLayer::zBottom "double MultiLayer::zBottom(size_t i) const
MultiLayer::zBottom
Returns bottom z coordinate of layer i. 
";


// File: classParticle.xml
%feature("docstring") Particle "

A particle with a form factor and refractive index.

C++ includes: Particle.h
";

%feature("docstring")  Particle::Particle "Particle::Particle(Material material, const IFormFactor &formfactor)
Particle::Particle";

%feature("docstring")  Particle::Particle "Particle::Particle(Material material, const IFormFactor &formfactor, const IRotation &rotation)
Particle::Particle";

%feature("docstring")  Particle::~Particle "Particle::~Particle() override
Particle::~Particle";

%feature("docstring")  Particle::clone "Particle * Particle::clone() const override
Particle::clone";

%feature("docstring")  Particle::className "std::string Particle::className() const override
Particle::className";

%feature("docstring")  Particle::nodeChildren "std::vector< const INode * > Particle::nodeChildren() const override
Particle::nodeChildren";

%feature("docstring")  Particle::material "const Material * Particle::material() const override
Particle::material";

%feature("docstring")  Particle::formfactor_at_bottom "const IFormFactor * Particle::formfactor_at_bottom() const
Particle::formfactor_at_bottom";

%feature("docstring")  Particle::validate "std::string Particle::validate() const override
Particle::validate";

%feature("docstring")  Particle::avgeMaterial "Material Particle::avgeMaterial() const override
Particle::avgeMaterial";

%feature("docstring")  Particle::volume "double Particle::volume() const override
Particle::volume";


// File: classParticleLayout.xml
%feature("docstring") ParticleLayout "

Decorator class that adds particles to ISampleNode objects.

C++ includes: ParticleLayout.h
";

%feature("docstring")  ParticleLayout::ParticleLayout "ParticleLayout::ParticleLayout()
ParticleLayout::ParticleLayout";

%feature("docstring")  ParticleLayout::ParticleLayout "ParticleLayout::ParticleLayout(const IParticle &particle, double abundance=-1.0)
ParticleLayout::ParticleLayout";

%feature("docstring")  ParticleLayout::~ParticleLayout "ParticleLayout::~ParticleLayout() override
ParticleLayout::~ParticleLayout";

%feature("docstring")  ParticleLayout::clone "ParticleLayout * ParticleLayout::clone() const override
ParticleLayout::clone";

%feature("docstring")  ParticleLayout::className "std::string ParticleLayout::className() const final
ParticleLayout::className";

%feature("docstring")  ParticleLayout::parDefs "std::vector< ParaMeta > ParticleLayout::parDefs() const final
ParticleLayout::parDefs";

%feature("docstring")  ParticleLayout::nodeChildren "std::vector< const INode * > ParticleLayout::nodeChildren() const override
ParticleLayout::nodeChildren";

%feature("docstring")  ParticleLayout::addParticle "void ParticleLayout::addParticle(const IParticle &particle, double abundance=-1.0)
ParticleLayout::addParticle
Adds particle to the layout with abundance, position and the rotation defined.

Parameters:
-----------

particle: 
to be added

abundance: 
 Particle abundance 
";

%feature("docstring")  ParticleLayout::particles "std::vector< const IParticle * > ParticleLayout::particles() const
ParticleLayout::particles";

%feature("docstring")  ParticleLayout::interferenceFunction "const IInterference * ParticleLayout::interferenceFunction() const
ParticleLayout::interferenceFunction";

%feature("docstring")  ParticleLayout::setInterference "void ParticleLayout::setInterference(const IInterference &interparticle)
ParticleLayout::setInterference
Adds interference functions. 
";

%feature("docstring")  ParticleLayout::totalParticleSurfaceDensity "double ParticleLayout::totalParticleSurfaceDensity() const
ParticleLayout::totalParticleSurfaceDensity";

%feature("docstring")  ParticleLayout::setTotalParticleSurfaceDensity "void ParticleLayout::setTotalParticleSurfaceDensity(double particle_density)
ParticleLayout::setTotalParticleSurfaceDensity
Sets total particle surface density.

Parameters:
-----------

particle_density: 
number of particles per square nanometer 
";

%feature("docstring")  ParticleLayout::totalAbundance "double ParticleLayout::totalAbundance() const
ParticleLayout::totalAbundance";

%feature("docstring")  ParticleLayout::validate "std::string ParticleLayout::validate() const override
ParticleLayout::validate";


// File: classPlatonicOctahedron.xml
%feature("docstring") PlatonicOctahedron "

A truncated bifrustum with quadratic base.

C++ includes: PlatonicOctahedron.h
";

%feature("docstring")  PlatonicOctahedron::PlatonicOctahedron "PlatonicOctahedron::PlatonicOctahedron(double edge)
PlatonicOctahedron::PlatonicOctahedron";


// File: classPlatonicTetrahedron.xml
%feature("docstring") PlatonicTetrahedron "

A frustum with equilateral trigonal base.

C++ includes: PlatonicTetrahedron.h
";

%feature("docstring")  PlatonicTetrahedron::PlatonicTetrahedron "PlatonicTetrahedron::PlatonicTetrahedron(double edge)
PlatonicTetrahedron::PlatonicTetrahedron";


// File: classPrism3.xml
%feature("docstring") Prism3 "

A prism based on an equilateral triangle.

C++ includes: Prism3.h
";

%feature("docstring")  Prism3::Prism3 "Prism3::Prism3(double base_edge, double height)
Prism3::Prism3";


// File: classPrism6.xml
%feature("docstring") Prism6 "

A prism based on a regular hexagonal.

C++ includes: Prism6.h
";

%feature("docstring")  Prism6::Prism6 "Prism6::Prism6(double base_edge, double height)
Prism6::Prism6";


// File: classProfile1DCauchy.xml
%feature("docstring") Profile1DCauchy "

Exponential IProfile1D exp(-|omega*x|); its Fourier transform standardizedFT(q) is a Cauchy-Lorentzian starting at standardizedFT(0)=1.

C++ includes: Profiles1D.h
";

%feature("docstring")  Profile1DCauchy::Profile1DCauchy "Profile1DCauchy::Profile1DCauchy(std::vector< double > P)
Profile1DCauchy::Profile1DCauchy";

%feature("docstring")  Profile1DCauchy::Profile1DCauchy "Profile1DCauchy::Profile1DCauchy(double omega)
Profile1DCauchy::Profile1DCauchy";

%feature("docstring")  Profile1DCauchy::clone "Profile1DCauchy * Profile1DCauchy::clone() const override
Profile1DCauchy::clone";

%feature("docstring")  Profile1DCauchy::className "std::string Profile1DCauchy::className() const final
Profile1DCauchy::className";

%feature("docstring")  Profile1DCauchy::standardizedFT "double Profile1DCauchy::standardizedFT(double q) const override
Profile1DCauchy::standardizedFT";

%feature("docstring")  Profile1DCauchy::decayFT "double Profile1DCauchy::decayFT(double q) const override
Profile1DCauchy::decayFT";

%feature("docstring")  Profile1DCauchy::qSecondDerivative "double Profile1DCauchy::qSecondDerivative() const override
Profile1DCauchy::qSecondDerivative";

%feature("docstring")  Profile1DCauchy::createSampler "std::unique_ptr< IDistribution1DSampler > Profile1DCauchy::createSampler() const override
Profile1DCauchy::createSampler";


// File: classProfile1DCosine.xml
%feature("docstring") Profile1DCosine "

IProfile1D consisting of one cosine wave [1+cos(pi*x/omega) if |x|<omega, and 0 otherwise]; its Fourier transform standardizedFT(q) starts at standardizedFT(0)=1.

C++ includes: Profiles1D.h
";

%feature("docstring")  Profile1DCosine::Profile1DCosine "Profile1DCosine::Profile1DCosine(std::vector< double > P)
Profile1DCosine::Profile1DCosine";

%feature("docstring")  Profile1DCosine::Profile1DCosine "Profile1DCosine::Profile1DCosine(double omega)
Profile1DCosine::Profile1DCosine";

%feature("docstring")  Profile1DCosine::clone "Profile1DCosine * Profile1DCosine::clone() const override
Profile1DCosine::clone";

%feature("docstring")  Profile1DCosine::className "std::string Profile1DCosine::className() const final
Profile1DCosine::className";

%feature("docstring")  Profile1DCosine::standardizedFT "double Profile1DCosine::standardizedFT(double q) const override
Profile1DCosine::standardizedFT";

%feature("docstring")  Profile1DCosine::decayFT "double Profile1DCosine::decayFT(double q) const override
Profile1DCosine::decayFT";

%feature("docstring")  Profile1DCosine::qSecondDerivative "double Profile1DCosine::qSecondDerivative() const override
Profile1DCosine::qSecondDerivative";

%feature("docstring")  Profile1DCosine::createSampler "std::unique_ptr< IDistribution1DSampler > Profile1DCosine::createSampler() const override
Profile1DCosine::createSampler";


// File: classProfile1DGate.xml
%feature("docstring") Profile1DGate "

Square gate IProfile1D; its Fourier transform standardizedFT(q) is a sinc function starting at standardizedFT(0)=1.

C++ includes: Profiles1D.h
";

%feature("docstring")  Profile1DGate::Profile1DGate "Profile1DGate::Profile1DGate(std::vector< double > P)
Profile1DGate::Profile1DGate";

%feature("docstring")  Profile1DGate::Profile1DGate "Profile1DGate::Profile1DGate(double omega)
Profile1DGate::Profile1DGate";

%feature("docstring")  Profile1DGate::clone "Profile1DGate * Profile1DGate::clone() const override
Profile1DGate::clone";

%feature("docstring")  Profile1DGate::className "std::string Profile1DGate::className() const final
Profile1DGate::className";

%feature("docstring")  Profile1DGate::standardizedFT "double Profile1DGate::standardizedFT(double q) const override
Profile1DGate::standardizedFT";

%feature("docstring")  Profile1DGate::decayFT "double Profile1DGate::decayFT(double q) const override
Profile1DGate::decayFT";

%feature("docstring")  Profile1DGate::qSecondDerivative "double Profile1DGate::qSecondDerivative() const override
Profile1DGate::qSecondDerivative";

%feature("docstring")  Profile1DGate::createSampler "std::unique_ptr< IDistribution1DSampler > Profile1DGate::createSampler() const override
Profile1DGate::createSampler";


// File: classProfile1DGauss.xml
%feature("docstring") Profile1DGauss "

Gaussian IProfile1D; its Fourier transform standardizedFT(q) is a Gaussian starting at standardizedFT(0)=1.

C++ includes: Profiles1D.h
";

%feature("docstring")  Profile1DGauss::Profile1DGauss "Profile1DGauss::Profile1DGauss(std::vector< double > P)
Profile1DGauss::Profile1DGauss";

%feature("docstring")  Profile1DGauss::Profile1DGauss "Profile1DGauss::Profile1DGauss(double omega)
Profile1DGauss::Profile1DGauss";

%feature("docstring")  Profile1DGauss::clone "Profile1DGauss * Profile1DGauss::clone() const override
Profile1DGauss::clone";

%feature("docstring")  Profile1DGauss::className "std::string Profile1DGauss::className() const final
Profile1DGauss::className";

%feature("docstring")  Profile1DGauss::standardizedFT "double Profile1DGauss::standardizedFT(double q) const override
Profile1DGauss::standardizedFT";

%feature("docstring")  Profile1DGauss::decayFT "double Profile1DGauss::decayFT(double q) const override
Profile1DGauss::decayFT";

%feature("docstring")  Profile1DGauss::qSecondDerivative "double Profile1DGauss::qSecondDerivative() const override
Profile1DGauss::qSecondDerivative";

%feature("docstring")  Profile1DGauss::createSampler "std::unique_ptr< IDistribution1DSampler > Profile1DGauss::createSampler() const override
Profile1DGauss::createSampler";


// File: classProfile1DTriangle.xml
%feature("docstring") Profile1DTriangle "

Triangle IProfile1D [1-|x|/omega if |x|<omega, and 0 otherwise]; its Fourier transform standardizedFT(q) is a squared sinc function starting at standardizedFT(0)=1.

C++ includes: Profiles1D.h
";

%feature("docstring")  Profile1DTriangle::Profile1DTriangle "Profile1DTriangle::Profile1DTriangle(std::vector< double > P)
Profile1DTriangle::Profile1DTriangle";

%feature("docstring")  Profile1DTriangle::Profile1DTriangle "Profile1DTriangle::Profile1DTriangle(double omega)
Profile1DTriangle::Profile1DTriangle";

%feature("docstring")  Profile1DTriangle::clone "Profile1DTriangle * Profile1DTriangle::clone() const override
Profile1DTriangle::clone";

%feature("docstring")  Profile1DTriangle::className "std::string Profile1DTriangle::className() const final
Profile1DTriangle::className";

%feature("docstring")  Profile1DTriangle::standardizedFT "double Profile1DTriangle::standardizedFT(double q) const override
Profile1DTriangle::standardizedFT";

%feature("docstring")  Profile1DTriangle::decayFT "double Profile1DTriangle::decayFT(double q) const override
Profile1DTriangle::decayFT";

%feature("docstring")  Profile1DTriangle::qSecondDerivative "double Profile1DTriangle::qSecondDerivative() const override
Profile1DTriangle::qSecondDerivative";

%feature("docstring")  Profile1DTriangle::createSampler "std::unique_ptr< IDistribution1DSampler > Profile1DTriangle::createSampler() const override
Profile1DTriangle::createSampler";


// File: classProfile1DVoigt.xml
%feature("docstring") Profile1DVoigt "

IProfile1D that provides a Fourier transform standardizedFT(q) in form of a pseudo-Voigt decay function eta*Gauss + (1-eta)*Cauchy, with both components starting at 1 for q=0.

C++ includes: Profiles1D.h
";

%feature("docstring")  Profile1DVoigt::Profile1DVoigt "Profile1DVoigt::Profile1DVoigt(std::vector< double > P)
Profile1DVoigt::Profile1DVoigt";

%feature("docstring")  Profile1DVoigt::Profile1DVoigt "Profile1DVoigt::Profile1DVoigt(double omega, double eta)
Profile1DVoigt::Profile1DVoigt";

%feature("docstring")  Profile1DVoigt::clone "Profile1DVoigt * Profile1DVoigt::clone() const override
Profile1DVoigt::clone";

%feature("docstring")  Profile1DVoigt::className "std::string Profile1DVoigt::className() const final
Profile1DVoigt::className";

%feature("docstring")  Profile1DVoigt::parDefs "std::vector< ParaMeta > Profile1DVoigt::parDefs() const final
Profile1DVoigt::parDefs";

%feature("docstring")  Profile1DVoigt::standardizedFT "double Profile1DVoigt::standardizedFT(double q) const override
Profile1DVoigt::standardizedFT";

%feature("docstring")  Profile1DVoigt::decayFT "double Profile1DVoigt::decayFT(double q) const override
Profile1DVoigt::decayFT";

%feature("docstring")  Profile1DVoigt::eta "double Profile1DVoigt::eta() const
Profile1DVoigt::eta";

%feature("docstring")  Profile1DVoigt::qSecondDerivative "double Profile1DVoigt::qSecondDerivative() const override
Profile1DVoigt::qSecondDerivative";

%feature("docstring")  Profile1DVoigt::createSampler "std::unique_ptr< IDistribution1DSampler > Profile1DVoigt::createSampler() const override
Profile1DVoigt::createSampler";

%feature("docstring")  Profile1DVoigt::pythonConstructor "std::string Profile1DVoigt::pythonConstructor() const override
Profile1DVoigt::pythonConstructor";

%feature("docstring")  Profile1DVoigt::validate "std::string Profile1DVoigt::validate() const override
Profile1DVoigt::validate";


// File: classProfile2DCauchy.xml
%feature("docstring") Profile2DCauchy "

Two-dimensional Cauchy distribution in Fourier space; corresponds to a normalized exp(-r) in real space, with  $r=\\\\sqrt{(\\\\frac{x}{\\\\omega_x})^2 + (\\\\frac{y}{\\\\omega_y})^2}$.

C++ includes: Profiles2D.h
";

%feature("docstring")  Profile2DCauchy::Profile2DCauchy "Profile2DCauchy::Profile2DCauchy(std::vector< double > P)
Profile2DCauchy::Profile2DCauchy";

%feature("docstring")  Profile2DCauchy::Profile2DCauchy "Profile2DCauchy::Profile2DCauchy(double omega_x, double omega_y, double gamma)
Profile2DCauchy::Profile2DCauchy";

%feature("docstring")  Profile2DCauchy::clone "Profile2DCauchy * Profile2DCauchy::clone() const override
Profile2DCauchy::clone";

%feature("docstring")  Profile2DCauchy::className "std::string Profile2DCauchy::className() const final
Profile2DCauchy::className";

%feature("docstring")  Profile2DCauchy::standardizedFT2D "double Profile2DCauchy::standardizedFT2D(double qx, double qy) const override
Profile2DCauchy::standardizedFT2D";

%feature("docstring")  Profile2DCauchy::decayFT2D "double Profile2DCauchy::decayFT2D(double qx, double qy) const override
Profile2DCauchy::decayFT2D";

%feature("docstring")  Profile2DCauchy::createSampler "std::unique_ptr< IDistribution2DSampler > Profile2DCauchy::createSampler() const override
Profile2DCauchy::createSampler";


// File: classProfile2DCone.xml
%feature("docstring") Profile2DCone "

Two-dimensional cone distribution in Fourier space; corresponds to 1-r if r<1 (and 0 otherwise) in real space with  $r=\\\\sqrt{(\\\\frac{x}{\\\\omega_x})^2 + (\\\\frac{y}{\\\\omega_y})^2}$.

C++ includes: Profiles2D.h
";

%feature("docstring")  Profile2DCone::Profile2DCone "Profile2DCone::Profile2DCone(std::vector< double > P)
Profile2DCone::Profile2DCone";

%feature("docstring")  Profile2DCone::Profile2DCone "Profile2DCone::Profile2DCone(double omega_x, double omega_y, double gamma)
Profile2DCone::Profile2DCone";

%feature("docstring")  Profile2DCone::clone "Profile2DCone * Profile2DCone::clone() const override
Profile2DCone::clone";

%feature("docstring")  Profile2DCone::className "std::string Profile2DCone::className() const final
Profile2DCone::className";

%feature("docstring")  Profile2DCone::standardizedFT2D "double Profile2DCone::standardizedFT2D(double qx, double qy) const override
Profile2DCone::standardizedFT2D";

%feature("docstring")  Profile2DCone::decayFT2D "double Profile2DCone::decayFT2D(double qx, double qy) const override
Profile2DCone::decayFT2D";

%feature("docstring")  Profile2DCone::createSampler "std::unique_ptr< IDistribution2DSampler > Profile2DCone::createSampler() const override
Profile2DCone::createSampler";


// File: classProfile2DGate.xml
%feature("docstring") Profile2DGate "

Two-dimensional gate distribution in Fourier space; corresponds to normalized constant if r<1 (and 0 otherwise) in real space, with  $r=\\\\sqrt{(\\\\frac{x}{\\\\omega_x})^2 + (\\\\frac{y}{\\\\omega_y})^2}$.

C++ includes: Profiles2D.h
";

%feature("docstring")  Profile2DGate::Profile2DGate "Profile2DGate::Profile2DGate(std::vector< double > P)
Profile2DGate::Profile2DGate";

%feature("docstring")  Profile2DGate::Profile2DGate "Profile2DGate::Profile2DGate(double omega_x, double omega_y, double gamma)
Profile2DGate::Profile2DGate";

%feature("docstring")  Profile2DGate::clone "Profile2DGate * Profile2DGate::clone() const override
Profile2DGate::clone";

%feature("docstring")  Profile2DGate::className "std::string Profile2DGate::className() const final
Profile2DGate::className";

%feature("docstring")  Profile2DGate::standardizedFT2D "double Profile2DGate::standardizedFT2D(double qx, double qy) const override
Profile2DGate::standardizedFT2D";

%feature("docstring")  Profile2DGate::decayFT2D "double Profile2DGate::decayFT2D(double qx, double qy) const override
Profile2DGate::decayFT2D";

%feature("docstring")  Profile2DGate::createSampler "std::unique_ptr< IDistribution2DSampler > Profile2DGate::createSampler() const override
Profile2DGate::createSampler";


// File: classProfile2DGauss.xml
%feature("docstring") Profile2DGauss "

Two-dimensional Gauss distribution in Fourier space; corresponds to normalized exp(-r^2/2) in real space with  $r=\\\\sqrt{(\\\\frac{x}{\\\\omega_x})^2 + (\\\\frac{y}{\\\\omega_y})^2}$.

C++ includes: Profiles2D.h
";

%feature("docstring")  Profile2DGauss::Profile2DGauss "Profile2DGauss::Profile2DGauss(std::vector< double > P)
Profile2DGauss::Profile2DGauss";

%feature("docstring")  Profile2DGauss::Profile2DGauss "Profile2DGauss::Profile2DGauss(double omega_x, double omega_y, double gamma)
Profile2DGauss::Profile2DGauss";

%feature("docstring")  Profile2DGauss::clone "Profile2DGauss * Profile2DGauss::clone() const override
Profile2DGauss::clone";

%feature("docstring")  Profile2DGauss::className "std::string Profile2DGauss::className() const final
Profile2DGauss::className";

%feature("docstring")  Profile2DGauss::standardizedFT2D "double Profile2DGauss::standardizedFT2D(double qx, double qy) const override
Profile2DGauss::standardizedFT2D";

%feature("docstring")  Profile2DGauss::decayFT2D "double Profile2DGauss::decayFT2D(double qx, double qy) const override
Profile2DGauss::decayFT2D";

%feature("docstring")  Profile2DGauss::createSampler "std::unique_ptr< IDistribution2DSampler > Profile2DGauss::createSampler() const override
Profile2DGauss::createSampler";


// File: classProfile2DVoigt.xml
%feature("docstring") Profile2DVoigt "

Two-dimensional Voigt distribution in Fourier space; corresponds to eta*Gauss + (1-eta)*Cauchy

C++ includes: Profiles2D.h
";

%feature("docstring")  Profile2DVoigt::Profile2DVoigt "Profile2DVoigt::Profile2DVoigt(std::vector< double > P)
Profile2DVoigt::Profile2DVoigt";

%feature("docstring")  Profile2DVoigt::Profile2DVoigt "Profile2DVoigt::Profile2DVoigt(double omega_x, double omega_y, double gamma, double eta)
Profile2DVoigt::Profile2DVoigt";

%feature("docstring")  Profile2DVoigt::clone "Profile2DVoigt * Profile2DVoigt::clone() const override
Profile2DVoigt::clone";

%feature("docstring")  Profile2DVoigt::className "std::string Profile2DVoigt::className() const final
Profile2DVoigt::className";

%feature("docstring")  Profile2DVoigt::parDefs "std::vector< ParaMeta > Profile2DVoigt::parDefs() const final
Profile2DVoigt::parDefs";

%feature("docstring")  Profile2DVoigt::standardizedFT2D "double Profile2DVoigt::standardizedFT2D(double qx, double qy) const override
Profile2DVoigt::standardizedFT2D";

%feature("docstring")  Profile2DVoigt::decayFT2D "double Profile2DVoigt::decayFT2D(double qx, double qy) const override
Profile2DVoigt::decayFT2D";

%feature("docstring")  Profile2DVoigt::eta "double Profile2DVoigt::eta() const
Profile2DVoigt::eta
balances between Gauss (eta=0) and Lorentz (eta=1) 
";

%feature("docstring")  Profile2DVoigt::createSampler "std::unique_ptr< IDistribution2DSampler > Profile2DVoigt::createSampler() const override
Profile2DVoigt::createSampler";

%feature("docstring")  Profile2DVoigt::pythonConstructor "std::string Profile2DVoigt::pythonConstructor() const override
Profile2DVoigt::pythonConstructor";

%feature("docstring")  Profile2DVoigt::validate "std::string Profile2DVoigt::validate() const override
Profile2DVoigt::validate";


// File: classPyramid2.xml
%feature("docstring") Pyramid2 "

A frustum (truncated pyramid) with rectangular base.

C++ includes: Pyramid2.h
";

%feature("docstring")  Pyramid2::Pyramid2 "Pyramid2::Pyramid2(double length, double width, double height, double alpha)
Pyramid2::Pyramid2";


// File: classPyramid3.xml
%feature("docstring") Pyramid3 "

A frustum with equilateral trigonal base.

C++ includes: Pyramid3.h
";

%feature("docstring")  Pyramid3::Pyramid3 "Pyramid3::Pyramid3(double base_edge, double height, double alpha)
Pyramid3::Pyramid3";


// File: classPyramid4.xml
%feature("docstring") Pyramid4 "

A frustum with a quadratic base.

C++ includes: Pyramid4.h
";

%feature("docstring")  Pyramid4::Pyramid4 "Pyramid4::Pyramid4(double base_edge, double height, double alpha)
Pyramid4::Pyramid4";


// File: classPyramid6.xml
%feature("docstring") Pyramid6 "

A frustum (truncated pyramid) with regular hexagonal base.

C++ includes: Pyramid6.h
";

%feature("docstring")  Pyramid6::Pyramid6 "Pyramid6::Pyramid6(double base_edge, double height, double alpha)
Pyramid6::Pyramid6";


// File: structLattice2D_1_1ReciprocalBases.xml
%feature("docstring") Lattice2D::ReciprocalBases "";


// File: classRefractiveMaterialImpl.xml
%feature("docstring") RefractiveMaterialImpl "

Material implementation based on refractive coefficiencts (valid for one wavelength value only)

C++ includes: RefractiveMaterialImpl.h
";

%feature("docstring")  RefractiveMaterialImpl::~RefractiveMaterialImpl "RefractiveMaterialImpl::~RefractiveMaterialImpl() override=default
RefractiveMaterialImpl::~RefractiveMaterialImpl";

%feature("docstring")  RefractiveMaterialImpl::clone "RefractiveMaterialImpl * RefractiveMaterialImpl::clone() const override
RefractiveMaterialImpl::clone
Returns pointer to a copy of material. 
";

%feature("docstring")  RefractiveMaterialImpl::refractiveIndex "complex_t RefractiveMaterialImpl::refractiveIndex(double wavelength) const override
RefractiveMaterialImpl::refractiveIndex
Returns refractive index For this particular implementation returned value does not depend on passed wavelength 
";

%feature("docstring")  RefractiveMaterialImpl::refractiveIndex2 "complex_t RefractiveMaterialImpl::refractiveIndex2(double wavelength) const override
RefractiveMaterialImpl::refractiveIndex2
Returns squared refractive index. For this particular implementation returned value does not depend on passed wavelength. 
";

%feature("docstring")  RefractiveMaterialImpl::materialData "complex_t RefractiveMaterialImpl::materialData() const override
RefractiveMaterialImpl::materialData
Returns underlying material data. 
";

%feature("docstring")  RefractiveMaterialImpl::typeID "MATERIAL_TYPES RefractiveMaterialImpl::typeID() const override
RefractiveMaterialImpl::typeID
Returns type of material implementation. 
";

%feature("docstring")  RefractiveMaterialImpl::scalarSubtrSLD "complex_t RefractiveMaterialImpl::scalarSubtrSLD(double lambda0) const override
RefractiveMaterialImpl::scalarSubtrSLD
Returns (  $ \\\\pi/\\\\lambda^2 $ - sld), sld (in  $nm^{-2}$) being the scattering length density. If the wavelength associated with passed wavevector is different from the one associated with refractive coefficients used during the object construction, provided result is inconsistent. 
";

%feature("docstring")  RefractiveMaterialImpl::print "std::string RefractiveMaterialImpl::print() const override
RefractiveMaterialImpl::print
Prints object data. 
";


// File: classRotationEuler.xml
%feature("docstring") RotationEuler "

A sequence of rotations about the z-x'-z'' axes.

C++ includes: Rotations.h
";

%feature("docstring")  RotationEuler::RotationEuler "RotationEuler::RotationEuler(std::vector< double > P)
RotationEuler::RotationEuler";

%feature("docstring")  RotationEuler::RotationEuler "RotationEuler::RotationEuler(double alpha, double beta, double gamma)
RotationEuler::RotationEuler";

%feature("docstring")  RotationEuler::clone "RotationEuler * RotationEuler::clone() const override
RotationEuler::clone";

%feature("docstring")  RotationEuler::className "std::string RotationEuler::className() const final
RotationEuler::className";

%feature("docstring")  RotationEuler::parDefs "std::vector< ParaMeta > RotationEuler::parDefs() const final
RotationEuler::parDefs";

%feature("docstring")  RotationEuler::createInverse "IRotation * RotationEuler::createInverse() const override
RotationEuler::createInverse";

%feature("docstring")  RotationEuler::alpha "double RotationEuler::alpha() const
RotationEuler::alpha
First Euler angle, rotation around z axis. 
";

%feature("docstring")  RotationEuler::beta "double RotationEuler::beta() const
RotationEuler::beta
Second Euler angle, rotation around x' axis. 
";

%feature("docstring")  RotationEuler::gamma "double RotationEuler::gamma() const
RotationEuler::gamma
Third Euler angle, rotation around z'' axis. 
";

%feature("docstring")  RotationEuler::rotMatrix "RotMatrix RotationEuler::rotMatrix() const override
RotationEuler::rotMatrix";


// File: classRotationX.xml
%feature("docstring") RotationX "

A rotation about the x axis.

C++ includes: Rotations.h
";

%feature("docstring")  RotationX::RotationX "RotationX::RotationX(std::vector< double > P)
RotationX::RotationX
Constructor of rotation around x-axis. 
";

%feature("docstring")  RotationX::RotationX "RotationX::RotationX(double angle)
RotationX::RotationX";

%feature("docstring")  RotationX::clone "RotationX * RotationX::clone() const override
RotationX::clone";

%feature("docstring")  RotationX::className "std::string RotationX::className() const final
RotationX::className";

%feature("docstring")  RotationX::parDefs "std::vector< ParaMeta > RotationX::parDefs() const final
RotationX::parDefs";

%feature("docstring")  RotationX::createInverse "RotationX * RotationX::createInverse() const override
RotationX::createInverse";

%feature("docstring")  RotationX::angle "double RotationX::angle() const
RotationX::angle";

%feature("docstring")  RotationX::rotMatrix "RotMatrix RotationX::rotMatrix() const override
RotationX::rotMatrix";


// File: classRotationY.xml
%feature("docstring") RotationY "

A rotation about the y axis.

C++ includes: Rotations.h
";

%feature("docstring")  RotationY::RotationY "RotationY::RotationY(std::vector< double > P)
RotationY::RotationY
Constructor of rotation around y-axis. 
";

%feature("docstring")  RotationY::RotationY "RotationY::RotationY(double angle)
RotationY::RotationY";

%feature("docstring")  RotationY::clone "RotationY * RotationY::clone() const override
RotationY::clone";

%feature("docstring")  RotationY::className "std::string RotationY::className() const final
RotationY::className";

%feature("docstring")  RotationY::parDefs "std::vector< ParaMeta > RotationY::parDefs() const final
RotationY::parDefs";

%feature("docstring")  RotationY::createInverse "RotationY * RotationY::createInverse() const override
RotationY::createInverse";

%feature("docstring")  RotationY::angle "double RotationY::angle() const
RotationY::angle";

%feature("docstring")  RotationY::rotMatrix "RotMatrix RotationY::rotMatrix() const override
RotationY::rotMatrix";


// File: classRotationZ.xml
%feature("docstring") RotationZ "

A rotation about the z axis.

C++ includes: Rotations.h
";

%feature("docstring")  RotationZ::RotationZ "RotationZ::RotationZ(std::vector< double > P)
RotationZ::RotationZ
Constructor of rotation around z-axis. 
";

%feature("docstring")  RotationZ::RotationZ "RotationZ::RotationZ(double angle)
RotationZ::RotationZ";

%feature("docstring")  RotationZ::clone "RotationZ * RotationZ::clone() const override
RotationZ::clone";

%feature("docstring")  RotationZ::className "std::string RotationZ::className() const final
RotationZ::className";

%feature("docstring")  RotationZ::parDefs "std::vector< ParaMeta > RotationZ::parDefs() const final
RotationZ::parDefs";

%feature("docstring")  RotationZ::createInverse "RotationZ * RotationZ::createInverse() const override
RotationZ::createInverse";

%feature("docstring")  RotationZ::angle "double RotationZ::angle() const
RotationZ::angle";

%feature("docstring")  RotationZ::rotMatrix "RotMatrix RotationZ::rotMatrix() const override
RotationZ::rotMatrix";


// File: structRoughnessModelWrap.xml
%feature("docstring") RoughnessModelWrap "";


// File: classSawtoothRippleBox.xml
%feature("docstring") SawtoothRippleBox "

The form factor for a cosine ripple, with box profile in elongation direction.

C++ includes: SawtoothRipple.h
";

%feature("docstring")  SawtoothRippleBox::SawtoothRippleBox "SawtoothRippleBox::SawtoothRippleBox(double length, double width, double height, double asymmetry)
SawtoothRippleBox::SawtoothRippleBox";


// File: classSawtoothRippleGauss.xml
%feature("docstring") SawtoothRippleGauss "

The form factor for a cosine ripple, with Gaussian profile in elongation direction.

C++ includes: SawtoothRipple.h
";

%feature("docstring")  SawtoothRippleGauss::SawtoothRippleGauss "SawtoothRippleGauss::SawtoothRippleGauss(double length, double width, double height, double asymmetry)
SawtoothRippleGauss::SawtoothRippleGauss";


// File: classSawtoothRippleLorentz.xml
%feature("docstring") SawtoothRippleLorentz "

The form factor for a cosine ripple, with Lorentz form factor in elongation direction.

C++ includes: SawtoothRipple.h
";

%feature("docstring")  SawtoothRippleLorentz::SawtoothRippleLorentz "SawtoothRippleLorentz::SawtoothRippleLorentz(double length, double width, double height, double asymmetry)
SawtoothRippleLorentz::SawtoothRippleLorentz";


// File: classSimpleSelectionRule.xml
%feature("docstring") SimpleSelectionRule "

Selection rule (v*q)modulus!=0, defined by vector v(a,b,c) and modulus.

C++ includes: ISelectionRule.h
";

%feature("docstring")  SimpleSelectionRule::SimpleSelectionRule "SimpleSelectionRule::SimpleSelectionRule(int a, int b, int c, int modulus)
SimpleSelectionRule::SimpleSelectionRule";

%feature("docstring")  SimpleSelectionRule::~SimpleSelectionRule "SimpleSelectionRule::~SimpleSelectionRule() override=default
SimpleSelectionRule::~SimpleSelectionRule";

%feature("docstring")  SimpleSelectionRule::clone "SimpleSelectionRule * SimpleSelectionRule::clone() const override
SimpleSelectionRule::clone";

%feature("docstring")  SimpleSelectionRule::coordinateSelected "bool SimpleSelectionRule::coordinateSelected(const I3 &coordinate) const override
SimpleSelectionRule::coordinateSelected";


// File: classSphere.xml
%feature("docstring") Sphere "

A full sphere.

C++ includes: Sphere.h
";

%feature("docstring")  Sphere::Sphere "Sphere::Sphere(double radius, bool position_at_center=false)
Sphere::Sphere";


// File: classSpheroid.xml
%feature("docstring") Spheroid "

A full spheroid (an ellipsoid with two equal axes, hence with circular cross section)

C++ includes: Spheroid.h
";

%feature("docstring")  Spheroid::Spheroid "Spheroid::Spheroid(double radius, double height)
Spheroid::Spheroid";


// File: classSquareLattice2D.xml
%feature("docstring") SquareLattice2D "

A two-dimensional Bravais lattice with square unit cell.

C++ includes: Lattice2D.h
";

%feature("docstring")  SquareLattice2D::SquareLattice2D "SquareLattice2D::SquareLattice2D(double length, double xi=0.0)
SquareLattice2D::SquareLattice2D";

%feature("docstring")  SquareLattice2D::clone "SquareLattice2D * SquareLattice2D::clone() const override
SquareLattice2D::clone";

%feature("docstring")  SquareLattice2D::className "std::string SquareLattice2D::className() const final
SquareLattice2D::className";

%feature("docstring")  SquareLattice2D::parDefs "std::vector< ParaMeta > SquareLattice2D::parDefs() const final
SquareLattice2D::parDefs";

%feature("docstring")  SquareLattice2D::length1 "double SquareLattice2D::length1() const override
SquareLattice2D::length1";

%feature("docstring")  SquareLattice2D::length2 "double SquareLattice2D::length2() const override
SquareLattice2D::length2";

%feature("docstring")  SquareLattice2D::latticeAngle "double SquareLattice2D::latticeAngle() const override
SquareLattice2D::latticeAngle";

%feature("docstring")  SquareLattice2D::unitCellArea "double SquareLattice2D::unitCellArea() const override
SquareLattice2D::unitCellArea";

%feature("docstring")  SquareLattice2D::validate "std::string SquareLattice2D::validate() const override
SquareLattice2D::validate";


// File: classTruncatedCube.xml
%feature("docstring") TruncatedCube "

A cube, with tetrahedral truncation of all corners

C++ includes: TruncatedCube.h
";

%feature("docstring")  TruncatedCube::TruncatedCube "TruncatedCube::TruncatedCube(double length, double removed_length)
TruncatedCube::TruncatedCube";


// File: classTruncatedSphere.xml
%feature("docstring") TruncatedSphere "

A truncated  Sphere.

C++ includes: TruncatedSphere.h
";

%feature("docstring")  TruncatedSphere::TruncatedSphere "TruncatedSphere::TruncatedSphere(double radius, double height, double dh)
TruncatedSphere::TruncatedSphere";


// File: classTruncatedSpheroid.xml
%feature("docstring") TruncatedSpheroid "

A truncated spheroid. An ellipsoid with two equal axis, truncated by a plane perpendicular to the third axis.

C++ includes: TruncatedSpheroid.h
";

%feature("docstring")  TruncatedSpheroid::TruncatedSpheroid "TruncatedSpheroid::TruncatedSpheroid(double radius, double height, double height_flattening, double dh)
TruncatedSpheroid::TruncatedSpheroid";


// File: namespace_0d116.xml


// File: namespace_0d12.xml


// File: namespace_0d120.xml


// File: namespace_0d124.xml


// File: namespace_0d134.xml


// File: namespace_0d136.xml


// File: namespace_0d175.xml


// File: namespace_0d2.xml


// File: namespace_0d200.xml


// File: namespace_0d220.xml


// File: namespace_0d233.xml


// File: namespace_0d28.xml


// File: namespace_0d30.xml


// File: namespace_0d32.xml


// File: namespace_0d4.xml


// File: namespacebake.xml
%feature("docstring")  bake::CubicLattice "Lattice3D bake::CubicLattice(double a)
bake::CubicLattice
Returns a primitive cubic (cP) lattice with edge length a. 
";

%feature("docstring")  bake::FCCLattice "Lattice3D bake::FCCLattice(double a)
bake::FCCLattice
Returns a face-centered cubic (cF) lattice with edge length a. 
";

%feature("docstring")  bake::HexagonalLattice "Lattice3D bake::HexagonalLattice(double a, double c)
bake::HexagonalLattice
Returns a primitive hexagonal (hP) lattice with hexagonal edge a and height c. 
";

%feature("docstring")  bake::HCPLattice "Lattice3D bake::HCPLattice(double a, double c)
bake::HCPLattice
TODO: Clarify how this is meant: HCP is not a Bravais lattice. 
";

%feature("docstring")  bake::TetragonalLattice "Lattice3D bake::TetragonalLattice(double a, double c)
bake::TetragonalLattice
Returns a primitive tetragonal (tP) lattice with square base edge a and height c. 
";

%feature("docstring")  bake::BCTLattice "Lattice3D bake::BCTLattice(double a, double c)
bake::BCTLattice
Returns a body-centered cubic (cI) lattice with edge length a. TODO: Clarify meaning of c 
";


// File: IInterference_8cpp.xml


// File: IInterference_8h.xml


// File: Interference1DLattice_8cpp.xml


// File: Interference1DLattice_8h.xml


// File: Interference2DLattice_8cpp.xml


// File: Interference2DLattice_8h.xml


// File: Interference2DParacrystal_8cpp.xml


// File: Interference2DParacrystal_8h.xml


// File: Interference2DSuperLattice_8cpp.xml


// File: Interference2DSuperLattice_8h.xml


// File: InterferenceFinite2DLattice_8cpp.xml


// File: InterferenceFinite2DLattice_8h.xml


// File: InterferenceHardDisk_8cpp.xml


// File: InterferenceHardDisk_8h.xml


// File: InterferenceNone_8cpp.xml


// File: InterferenceNone_8h.xml


// File: InterferenceRadialParacrystal_8cpp.xml


// File: InterferenceRadialParacrystal_8h.xml


// File: Interferences_8h.xml


// File: ParticleLayout_8cpp.xml


// File: ParticleLayout_8h.xml


// File: FormFactorComponents_8cpp.xml


// File: FormFactorComponents_8h.xml


// File: IRegistry_8h.xml


// File: Profile2DComponents_8cpp.xml


// File: Profile2DComponents_8h.xml


// File: IDistribution1DSampler_8cpp.xml


// File: IDistribution1DSampler_8h.xml


// File: IDistribution2DSampler_8cpp.xml


// File: IDistribution2DSampler_8h.xml


// File: IPeakShape_8cpp.xml


// File: IPeakShape_8h.xml


// File: Profiles1D_8cpp.xml


// File: Profiles1D_8h.xml


// File: Profiles2D_8cpp.xml


// File: Profiles2D_8h.xml


// File: Bar_8cpp.xml


// File: Bar_8h.xml


// File: Bipyramid4_8cpp.xml


// File: Bipyramid4_8h.xml


// File: Box_8cpp.xml


// File: Box_8h.xml


// File: CantellatedCube_8cpp.xml


// File: CantellatedCube_8h.xml


// File: Cone_8cpp.xml


// File: Cone_8h.xml


// File: CosineRipple_8cpp.xml


// File: CosineRipple_8h.xml


// File: Cylinder_8cpp.xml


// File: Cylinder_8h.xml


// File: Dodecahedron_8cpp.xml


// File: Dodecahedron_8h.xml


// File: EllipsoidalCylinder_8cpp.xml


// File: EllipsoidalCylinder_8h.xml


// File: HardParticles_8h.xml


// File: HemiEllipsoid_8cpp.xml


// File: HemiEllipsoid_8h.xml


// File: HorizontalCylinder_8cpp.xml


// File: HorizontalCylinder_8h.xml


// File: Icosahedron_8cpp.xml


// File: Icosahedron_8h.xml


// File: IFormFactorPolyhedron_8cpp.xml


// File: IFormFactorPolyhedron_8h.xml


// File: IFormFactorPrism_8cpp.xml


// File: IFormFactorPrism_8h.xml


// File: IProfileRipple_8cpp.xml


// File: IProfileRipple_8h.xml


// File: LongBoxGauss_8cpp.xml


// File: LongBoxGauss_8h.xml


// File: LongBoxLorentz_8cpp.xml


// File: LongBoxLorentz_8h.xml


// File: PlatonicOctahedron_8cpp.xml


// File: PlatonicOctahedron_8h.xml


// File: PlatonicTetrahedron_8cpp.xml


// File: PlatonicTetrahedron_8h.xml


// File: Prism3_8cpp.xml


// File: Prism3_8h.xml


// File: Prism6_8cpp.xml


// File: Prism6_8h.xml


// File: Pyramid2_8cpp.xml


// File: Pyramid2_8h.xml


// File: Pyramid3_8cpp.xml


// File: Pyramid3_8h.xml


// File: Pyramid4_8cpp.xml


// File: Pyramid4_8h.xml


// File: Pyramid6_8cpp.xml


// File: Pyramid6_8h.xml


// File: Ripples_8cpp.xml


// File: Ripples_8h.xml


// File: SawtoothRipple_8cpp.xml


// File: SawtoothRipple_8h.xml


// File: Sphere_8cpp.xml


// File: Sphere_8h.xml


// File: Spheroid_8cpp.xml


// File: Spheroid_8h.xml


// File: TruncatedCube_8cpp.xml


// File: TruncatedCube_8h.xml


// File: TruncatedSphere_8cpp.xml


// File: TruncatedSphere_8h.xml


// File: TruncatedSpheroid_8cpp.xml


// File: TruncatedSpheroid_8h.xml


// File: LayerInterface_8cpp.xml


// File: LayerInterface_8h.xml


// File: LayerRoughness_8cpp.xml


// File: LayerRoughness_8h.xml


// File: BakeLattice_8cpp.xml


// File: BakeLattice_8h.xml


// File: ISelectionRule_8cpp.xml


// File: ISelectionRule_8h.xml


// File: Lattice2D_8cpp.xml


// File: Lattice2D_8h.xml


// File: Lattice3D_8cpp.xml


// File: Lattice3D_8h.xml


// File: SomeFormFactors_8cpp.xml


// File: SomeFormFactors_8h.xml


// File: Admixtures_8h.xml


// File: IMaterialImpl_8cpp.xml


// File: IMaterialImpl_8h.xml


// File: Material_8cpp.xml


// File: Material_8h.xml


// File: MaterialBySLDImpl_8cpp.xml


// File: MaterialBySLDImpl_8h.xml


// File: MaterialFactoryFuncs_8cpp.xml
%feature("docstring")  RefractiveMaterial "Material RefractiveMaterial(const std::string &name, complex_t refractive_index, R3 magnetization)

Constructs a material with  name,  refractive_index and  magnetization (in A/m). Alternatively,  $\\\\delta$ and  $\\\\beta$ for refractive index  $n = 1 - \\\\delta + i \\\\beta$ can be passed directly. With no parameters given, constructs default (vacuum) material with  $n = 1$ and zero magnetization. 
";

%feature("docstring")  RefractiveMaterial "Material RefractiveMaterial(const std::string &name, double delta, double beta, R3 magnetization)
";

%feature("docstring")  Vacuum "Material Vacuum()
";

%feature("docstring")  MaterialBySLD "Material MaterialBySLD(const std::string &name, double sld_real, double sld_imag, R3 magnetization)

Constructs a wavelength-independent material with a given complex-valued scattering length density (SLD). SLD values for a wide variety of materials can be found on https://sld-calculator.appspot.com/ and https://www.ncnr.nist.gov/resources/activation/ By convention, SLD imaginary part is treated as negative by default, which corresponds to attenuation of the signal. With no parameters given, MaterialBySLD constructs default (vacuum) material with zero sld and zero magnetization.

Parameters:
-----------

name: 
material name

sld_real: 
real part of the scattering length density, inverse square angstroms

sld_imag: 
imaginary part of the scattering length density, inverse square angstroms

magnetization: 
magnetization (in A/m) 
";

%feature("docstring")  MaterialBySLD "Material MaterialBySLD()
";


// File: MaterialFactoryFuncs_8h.xml
%feature("docstring")  RefractiveMaterial "Material RefractiveMaterial(const std::string &name, double delta, double beta, R3 magnetization={})
";

%feature("docstring")  RefractiveMaterial "Material RefractiveMaterial(const std::string &name, complex_t refractive_index, R3 magnetization={})

Constructs a material with  name,  refractive_index and  magnetization (in A/m). Alternatively,  $\\\\delta$ and  $\\\\beta$ for refractive index  $n = 1 - \\\\delta + i \\\\beta$ can be passed directly. With no parameters given, constructs default (vacuum) material with  $n = 1$ and zero magnetization. 
";

%feature("docstring")  Vacuum "Material Vacuum()
";

%feature("docstring")  MaterialBySLD "Material MaterialBySLD(const std::string &name, double sld_real, double sld_imag, R3 magnetization={})

Constructs a wavelength-independent material with a given complex-valued scattering length density (SLD). SLD values for a wide variety of materials can be found on https://sld-calculator.appspot.com/ and https://www.ncnr.nist.gov/resources/activation/ By convention, SLD imaginary part is treated as negative by default, which corresponds to attenuation of the signal. With no parameters given, MaterialBySLD constructs default (vacuum) material with zero sld and zero magnetization.

Parameters:
-----------

name: 
material name

sld_real: 
real part of the scattering length density, inverse square angstroms

sld_imag: 
imaginary part of the scattering length density, inverse square angstroms

magnetization: 
magnetization (in A/m) 
";

%feature("docstring")  MaterialBySLD "Material MaterialBySLD()
";


// File: MaterialUtils_8cpp.xml


// File: MaterialUtils_8h.xml


// File: RefractiveMaterialImpl_8cpp.xml


// File: RefractiveMaterialImpl_8h.xml


// File: Layer_8cpp.xml


// File: Layer_8h.xml


// File: MultiLayer_8cpp.xml


// File: MultiLayer_8h.xml


// File: MultilayerUtils_8cpp.xml


// File: MultilayerUtils_8h.xml


// File: PyImport_8cpp.xml


// File: PyImport_8h.xml


// File: RoughnessModels_8cpp.xml


// File: RoughnessModels_8h.xml


// File: Compound_8cpp.xml


// File: Compound_8h.xml


// File: CoreAndShell_8cpp.xml


// File: CoreAndShell_8h.xml


// File: Crystal_8cpp.xml


// File: Crystal_8h.xml


// File: IFormFactor_8cpp.xml


// File: IFormFactor_8h.xml


// File: IParticle_8cpp.xml


// File: IParticle_8h.xml


// File: Mesocrystal_8cpp.xml


// File: Mesocrystal_8h.xml


// File: Particle_8cpp.xml


// File: Particle_8h.xml


// File: PolyhedralUtil_8cpp.xml


// File: PolyhedralUtil_8h.xml


// File: ISampleNode_8cpp.xml


// File: ISampleNode_8h.xml


// File: Rotations_8cpp.xml
%feature("docstring")  createProduct "IRotation * createProduct(const IRotation &left, const IRotation &right)

Returns concatenated rotation (first right, then left). 
";


// File: Rotations_8h.xml


// File: BoxNet_8cpp.xml


// File: BoxNet_8h.xml


// File: DoubleEllipse_8cpp.xml


// File: DoubleEllipse_8h.xml


// File: IShape3D_8cpp.xml
%feature("docstring")  RectangleVertices "std::vector< R3 > RectangleVertices(double length, double width, double z)
";

%feature("docstring")  EllipseVerticesZ "std::vector< R3 > EllipseVerticesZ(double r_x, double r_y, double z)
";

%feature("docstring")  EllipseVerticesXtrunc "std::vector< R3 > EllipseVerticesXtrunc(double x, double r_y, double r_z, double z_b, double z_t)
";


// File: IShape3D_8h.xml


// File: RippleCosineNet_8cpp.xml


// File: RippleCosineNet_8h.xml


// File: RippleSawtoothNet_8cpp.xml


// File: RippleSawtoothNet_8h.xml


// File: TruncatedEllipsoidNet_8cpp.xml


// File: TruncatedEllipsoidNet_8h.xml


// File: FuzzySphere_8cpp.xml


// File: FuzzySphere_8h.xml


// File: Gauss_8cpp.xml


// File: Gauss_8h.xml


// File: SoftParticles_8h.xml


// File: BoxCompositionBuilder_8cpp.xml


// File: BoxCompositionBuilder_8h.xml


// File: BoxesSquareLatticeBuilder_8cpp.xml


// File: BoxesSquareLatticeBuilder_8h.xml


// File: CompoundBuilder_8cpp.xml


// File: CompoundBuilder_8h.xml


// File: CoreAndShellBuilder_8cpp.xml


// File: CoreAndShellBuilder_8h.xml


// File: CustomMorphologyBuilder_8cpp.xml


// File: CustomMorphologyBuilder_8h.xml


// File: CylindersAndPrismsBuilder_8cpp.xml


// File: CylindersAndPrismsBuilder_8h.xml


// File: CylindersBuilder_8cpp.xml


// File: CylindersBuilder_8h.xml


// File: ExemplarySamples_8h.xml


// File: FeNiBilayerBuilder_8cpp.xml


// File: FeNiBilayerBuilder_8h.xml


// File: HomogeneousMultilayerBuilder_8cpp.xml


// File: HomogeneousMultilayerBuilder_8h.xml


// File: LatticeBuilder_8cpp.xml


// File: LatticeBuilder_8h.xml


// File: LayersWithAbsorptionBuilder_8cpp.xml


// File: LayersWithAbsorptionBuilder_8h.xml


// File: LayersWithAbsorptionBySLDBuilder_8cpp.xml
%feature("docstring")  middle_layer_thickness "const double middle_layer_thickness(60.0)
";


// File: LayersWithAbsorptionBySLDBuilder_8h.xml


// File: MagneticLayersBuilder_8cpp.xml


// File: MagneticLayersBuilder_8h.xml


// File: MagneticParticlesBuilder_8cpp.xml


// File: MagneticParticlesBuilder_8h.xml


// File: MesocrystalBuilder_8cpp.xml


// File: MesocrystalBuilder_8h.xml


// File: MultiLayerWithNCRoughnessBuilder_8cpp.xml


// File: MultiLayerWithNCRoughnessBuilder_8h.xml


// File: MultiLayerWithRoughnessBuilder_8cpp.xml


// File: MultiLayerWithRoughnessBuilder_8h.xml


// File: MultipleLayoutBuilder_8cpp.xml


// File: MultipleLayoutBuilder_8h.xml


// File: ParacrystalBuilder_8cpp.xml


// File: ParacrystalBuilder_8h.xml


// File: ParticleDistributionsBuilder_8cpp.xml


// File: ParticleDistributionsBuilder_8h.xml


// File: ParticleInVacuumBuilder_8cpp.xml


// File: ParticleInVacuumBuilder_8h.xml


// File: PercusYevickBuilder_8cpp.xml


// File: PercusYevickBuilder_8h.xml


// File: PlainMultiLayerBySLDBuilder_8cpp.xml


// File: PlainMultiLayerBySLDBuilder_8h.xml


// File: ReferenceMaterials_8h.xml


// File: ResonatorBuilder_8cpp.xml


// File: ResonatorBuilder_8h.xml


// File: RipplesBuilder_8cpp.xml


// File: RipplesBuilder_8h.xml


// File: RotatedPyramidsBuilder_8cpp.xml


// File: RotatedPyramidsBuilder_8h.xml


// File: SizeDistributionModelsBuilder_8cpp.xml


// File: SizeDistributionModelsBuilder_8h.xml


// File: SlicedCompositionBuilder_8cpp.xml


// File: SlicedCompositionBuilder_8h.xml


// File: SlicedCylindersBuilder_8cpp.xml


// File: SlicedCylindersBuilder_8h.xml


// File: ThickAbsorptiveSampleBuilder_8cpp.xml


// File: ThickAbsorptiveSampleBuilder_8h.xml


// File: TransformationsBuilder_8cpp.xml


// File: TransformationsBuilder_8h.xml


// File: TwoDimLatticeBuilder_8cpp.xml


// File: TwoDimLatticeBuilder_8h.xml


// File: dir_220e7f16e10b4e45e27e10ed0346ff0c.xml


// File: dir_53ad17160220d2858133377088cf64b3.xml


// File: dir_7b210e8d28f50f0c519681ee1b473363.xml


// File: dir_844f24c588eea1b259def164cc466f1a.xml


// File: dir_ff19b2623e8f6ab46659baac68a70953.xml


// File: dir_da063889c15f3636a66540651967c41d.xml


// File: dir_ed097210e0926370940660d36aeab42a.xml


// File: dir_fba8602a8c23825d875c7205aab8e979.xml


// File: dir_9b633c8be420b8d6b83f5ed5376ef19b.xml


// File: dir_61bfb933e72dfe3586b97d80db501038.xml


// File: dir_8f7f72226bf217e57890a767dfa82dfa.xml


// File: dir_c4bcd3a441ff6332187b5528d22c5933.xml


// File: dir_7002b98d93049c66d9f454102abc535d.xml


// File: dir_ccd033f493018670b3204f8d6a838d21.xml


// File: dir_d9d42b37b662547974602e66402128ce.xml

